import { createContext, useMemo, createElement as createElement$1, cloneElement } from 'react';
import '../Provider/ThemeContext.js';
import 'classnames';
import 'emotion';
import '@emotion/core';
import 'emotion-theming';
import '@emotion/styled';
import '../utils/useTheme.js';
import { d as _objectWithoutPropertiesLoose, _ as _objectSpread2, c as _extends } from '../chunk-0c448560.js';
import 'lodash/kebabCase';
import 'tinycolor2';
import '../utils/isFunction.js';
import '../utils/get.js';
import '../utils/theme.js';
import '../utils/omit.js';
import '../utils/pick.js';
import '../utils/cssProps.js';
import '../utils/useLocalStorage.js';
import '../Provider/ColorModeContext.js';
import '../utils/useColorMode.js';
import '../utils/useStyle.js';
import '../utils/omitBy.js';
import '../utils/useDefaultProps.js';
import '../utils/useDebounce.js';
import 'lodash/uniq';
import { useClassName } from '../utils/useClassName.js';
import '../utils/useBreakpoint.js';
import '../utils/uniqueId.js';
import '../utils/times.js';
import '../utils/parseIcons.js';
import '../utils/colors.js';
import '../utils/palette.js';
import '../utils/mergeRefs.js';
import 'deepmerge';
import 'lodash/set';
import '../utils/applyTheme.js';
import '../utils/bindFns.js';
import { createComponent } from '../utils/createComponent.js';
import { createElement } from '../utils/createElement.js';
import { createHook } from '../utils/createHook.js';
import '../utils/forwardRefWithUse.js';
import '../utils/fieldAdaptors.js';
import '@emotion/is-prop-valid';
import '../utils/htmlProps.js';
import '../utils/OutsideClickHandler.js';
import { Box } from 'reakit';
import '../Box/styles-579aeb3a.js';
import { Box as Box$1 } from '../Box/Box.js';
import '../Menu/styles-33fa0440.js';
import { D as DropdownMenu$1 } from './styles-bde20d8a.js';
import { DropdownMenuButton } from './DropdownMenuButton.js';
import '../Modal/styles-e07d4130.js';
import '../Popover/styles-ef7858cb.js';
import { DropdownMenuPopover } from './DropdownMenuPopover.js';
import { useDropdownMenuState } from './DropdownMenuState.js';

var DropdownMenuContext = createContext({
  dropdownMenu: {},
  overrides: {}
});
var useProps = createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;

  var baseId = props.baseId,
      children = props.children,
      menu = props.menu,
      overrides = props.overrides,
      visible = props.visible,
      restProps = _objectWithoutPropertiesLoose(props, ["baseId", "children", "menu", "overrides", "visible"]);

  var boxProps = Box$1.useProps(restProps);
  var dropdownMenu = useDropdownMenuState({
    baseId: baseId,
    visible: visible
  });
  var dropdownMenuButtonProps = DropdownMenuButton.useProps(_objectSpread2(_objectSpread2({}, dropdownMenu), {}, {
    overrides: overrides
  }));
  var className = useClassName({
    style: DropdownMenu$1,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: boxProps.className
  });
  var contextValue = useMemo(function () {
    return {
      dropdownMenu: dropdownMenu,
      overrides: overrides
    };
  }, [dropdownMenu, overrides]);
  return _objectSpread2(_objectSpread2({}, boxProps), {}, {
    className: className,
    children: /*#__PURE__*/createElement$1(DropdownMenuContext.Provider, {
      value: contextValue
    }, cloneElement(children, _objectSpread2({}, dropdownMenuButtonProps)), /*#__PURE__*/createElement$1(DropdownMenuPopover, _extends({}, dropdownMenu, {
      overrides: overrides
    }), menu))
  });
}, {
  themeKey: 'DropdownMenu'
});
var DropdownMenu = createComponent(function (props) {
  var textProps = useProps(props);
  return createElement({
    children: props.children,
    component: Box,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'DropdownMenu'
  },
  themeKey: 'DropdownMenu'
});

export { DropdownMenu, DropdownMenuContext };
