import { createElement as createElement$1, Fragment, cloneElement } from 'react';
import '../Provider/ThemeContext.js';
import 'classnames';
import 'emotion';
import '@emotion/core';
import 'emotion-theming';
import '@emotion/styled';
import '../utils/useTheme.js';
import { d as _objectWithoutPropertiesLoose, _ as _objectSpread2 } from '../chunk-0c448560.js';
import 'lodash/kebabCase';
import 'tinycolor2';
import '../utils/isFunction.js';
import '../utils/get.js';
import '../utils/theme.js';
import '../utils/omit.js';
import '../utils/pick.js';
import '../utils/cssProps.js';
import '../utils/useLocalStorage.js';
import '../Provider/ColorModeContext.js';
import '../utils/useColorMode.js';
import '../utils/useStyle.js';
import '../utils/omitBy.js';
import '../utils/useDefaultProps.js';
import '../utils/useDebounce.js';
import 'lodash/uniq';
import { useClassName } from '../utils/useClassName.js';
import '../utils/useBreakpoint.js';
import { useUniqueId } from '../utils/uniqueId.js';
import '../utils/times.js';
import '../utils/parseIcons.js';
import '../utils/colors.js';
import '../utils/palette.js';
import '../utils/mergeRefs.js';
import 'deepmerge';
import 'lodash/set';
import '../utils/applyTheme.js';
import '../utils/bindFns.js';
import { createComponent } from '../utils/createComponent.js';
import { createElement } from '../utils/createElement.js';
import { createHook } from '../utils/createHook.js';
import '../utils/forwardRefWithUse.js';
import '../utils/fieldAdaptors.js';
import '@emotion/is-prop-valid';
import '../utils/htmlProps.js';
import { OutsideClickHandler } from '../utils/OutsideClickHandler.js';
import '../theme/palette.js';
import { Box } from 'reakit';
import '../Button/styles-2cbff8a4.js';
import 'conditional-wrap';
import '../Box/styles-579aeb3a.js';
import { Box as Box$1 } from '../Box/Box.js';
import '../Flex/styles-7e4763fa.js';
import '../Flex/Flex.js';
import '../Icon/styles-749bc0cd.js';
import { Icon } from '../Icon/Icon.js';
import '../Text/styles-6d3156aa.js';
import { Text } from '../Text/Text.js';
import '../Spinner/styles-7188f333.js';
import '../Spinner/Spinner.js';
import '../Button/Button.js';
import { VisuallyHidden } from 'reakit/VisuallyHidden';
import '../Button/ButtonClose.js';
import { Button } from '../Button/index.js';
import { F as FieldWrapper$1, L as Label, D as DescriptionText, H as HintText, O as OptionalText, R as RequiredText, V as ValidationText, T as TooltipTrigger, a as TooltipPopover } from './styles-54398344.js';
import '../Card/styles-6b29b6fa.js';
import '../Card/Card.js';
import { Card } from '../Card/index.js';
import '../Disclosure/styles-84dfb298.js';
import '../Disclosure/DisclosureState.js';
import '../Disclosure/Disclosure.js';
import '../Disclosure/DisclosureContent.js';
import { Disclosure } from '../Disclosure/index.js';
import '../Label/styles-47c49c48.js';
import { Label as Label$1 } from '../Label/Label.js';

var useProps = createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;

  var children = props.children,
      description = props.description,
      hint = props.hint,
      isOptional = props.isOptional,
      label = props.label,
      labelType = props.labelType,
      isRequired = props.isRequired,
      state = props.state,
      tooltip = props.tooltip,
      tooltipTriggerComponent = props.tooltipTriggerComponent,
      validationText = props.validationText,
      restProps = _objectWithoutPropertiesLoose(props, ["children", "description", "hint", "isOptional", "label", "labelType", "isRequired", "state", "tooltip", "tooltipTriggerComponent", "validationText"]);

  var boxProps = Box$1.useProps(restProps);
  var className = useClassName({
    style: FieldWrapper$1,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: boxProps.className
  });
  var labelClassName = useClassName({
    style: Label,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'Label'
  });
  var descriptionClassName = useClassName({
    style: DescriptionText,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'DescriptionText'
  });
  var hintClassName = useClassName({
    style: HintText,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'HintText'
  });
  var optionalClassName = useClassName({
    style: OptionalText,
    styleProps: props,
    themeKey: themeKey,
    themeKeySuffix: 'OptionalText'
  });
  var requiredClassName = useClassName({
    style: RequiredText,
    styleProps: props,
    themeKey: themeKey,
    themeKeySuffix: 'RequiredText'
  });
  var validationClassName = useClassName({
    style: ValidationText,
    styleProps: props,
    themeKey: themeKey,
    themeKeySuffix: 'ValidationText'
  });
  var tooltipTriggerClassName = useClassName({
    style: TooltipTrigger,
    styleProps: props,
    themeKey: themeKey,
    themeKeySuffix: 'TooltipTrigger'
  });
  var tooltipPopoverClassName = useClassName({
    style: TooltipPopover,
    styleProps: props,
    themeKey: themeKey,
    themeKeySuffix: 'TooltipPopover'
  });
  var disclosure = Disclosure.useState();
  var uid = useUniqueId('FieldWrapper');
  var elementProps = {
    isRequired: isRequired,
    id: uid,
    state: state
  };
  return _objectSpread2(_objectSpread2({}, boxProps), {}, {
    className: className,
    children: /*#__PURE__*/createElement$1(Fragment, null, label && /*#__PURE__*/createElement$1(Box$1, {
      marginBottom: "minor-2"
    }, /*#__PURE__*/createElement$1(Box$1, {
      display: "flex",
      alignItems: "center",
      lineHeight: "1"
    }, typeof label === 'string' ? /*#__PURE__*/createElement$1(Fragment, null, labelType === 'legend' ? /*#__PURE__*/createElement$1(Label$1, {
      use: "legend",
      className: labelClassName
    }, label) :
    /*#__PURE__*/
    // @ts-ignore
    createElement$1(Label$1, {
      className: labelClassName,
      htmlFor: uid
    }, label)) : label, isOptional && /*#__PURE__*/createElement$1(Box$1, {
      className: optionalClassName
    }, "OPTIONAL"), isRequired && /*#__PURE__*/createElement$1(Box$1, {
      className: requiredClassName
    }, "*"), tooltip && /*#__PURE__*/createElement$1(Box$1, {
      position: "relative",
      marginLeft: "minor-2"
    }, /*#__PURE__*/createElement$1(OutsideClickHandler, {
      onOutsideClick: disclosure.hide
    }, tooltipTriggerComponent ? cloneElement(tooltipTriggerComponent, {
      onClick: disclosure.toggle
    }) : /*#__PURE__*/createElement$1(Button, {
      className: tooltipTriggerClassName,
      onClick: disclosure.toggle
    }, /*#__PURE__*/createElement$1(VisuallyHidden, null, "Toggle tooltip"), /*#__PURE__*/createElement$1(Icon, {
      "aria-hidden": true,
      icon: "question-circle",
      verticalAlign: "-0.125rem"
    }))), disclosure.visible && /*#__PURE__*/createElement$1(Card, {
      className: tooltipPopoverClassName
    }, typeof tooltip === 'string' ? /*#__PURE__*/createElement$1(Text, {
      fontSize: "150"
    }, tooltip) : tooltip))), description && /*#__PURE__*/createElement$1(Box$1, {
      marginTop: "minor-1"
    }, typeof description === 'string' ? /*#__PURE__*/createElement$1(Box$1, {
      className: descriptionClassName
    }, description) : description)), typeof children === 'function' ?
    /*
    // @ts-ignore */
    children({
      elementProps: elementProps
    }) : cloneElement(children, elementProps), hint && /*#__PURE__*/createElement$1(Box$1, {
      marginTop: "minor-1"
    }, typeof hint === 'string' ? /*#__PURE__*/createElement$1(Box$1, {
      className: hintClassName
    }, hint) : hint), validationText && /*#__PURE__*/createElement$1(Box$1, {
      className: validationClassName,
      color: state
    }, validationText))
  });
}, {
  themeKey: 'FieldWrapper'
});
var FieldWrapper = createComponent(function (props) {
  var textProps = useProps(props);
  return createElement({
    children: props.children,
    component: Box,
    enableRenderPropsComposition: false,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'FieldWrapper'
  },
  themeKey: 'FieldWrapper'
});

export { FieldWrapper };
