import { useContext, createElement } from 'react';
import './ThemeContext.js';
import 'classnames';
import 'emotion';
import { ThemeContext, Global, css } from '@emotion/core';
import 'emotion-theming';
import '@emotion/styled';
import '../utils/useTheme.js';
import { a as _taggedTemplateLiteralLoose } from '../chunk-0c448560.js';
import 'lodash/kebabCase';
import 'tinycolor2';
import '../utils/isFunction.js';
import '../utils/get.js';
import { palette, font, theme } from '../utils/theme.js';
import '../utils/omit.js';
import '../utils/pick.js';
import '../utils/cssProps.js';
import '../utils/useLocalStorage.js';
import './ColorModeContext.js';
import { useColorMode } from '../utils/useColorMode.js';
import '../utils/useStyle.js';
import '../utils/omitBy.js';
import '../utils/useDefaultProps.js';
import '../utils/useDebounce.js';
import 'lodash/uniq';
import '../utils/useClassName.js';
import '../utils/useBreakpoint.js';
import '../utils/uniqueId.js';
import '../utils/times.js';
import '../utils/parseIcons.js';
import '../utils/colors.js';
import '../utils/palette.js';
import '../utils/mergeRefs.js';
import 'deepmerge';
import 'lodash/set';
import '../utils/applyTheme.js';
import '../utils/bindFns.js';
import '../utils/createComponent.js';
import '../utils/createElement.js';
import '../utils/createHook.js';
import '../utils/forwardRefWithUse.js';
import '../utils/fieldAdaptors.js';
import '@emotion/is-prop-valid';
import '../utils/htmlProps.js';
import '../utils/OutsideClickHandler.js';

function _templateObject() {
  var data = _taggedTemplateLiteralLoose(["\n        html,\n        body {\n          background-color: ", ";\n          box-sizing: border-box;\n          font-family: ", ";\n          font-size: ", "px;\n          line-height: 1.5;\n          margin: 0;\n          padding: 0;\n          -webkit-font-smoothing: antialiased;\n          text-rendering: optimizeLegibility;\n          color: ", ";\n          fill: ", ";\n        }\n\n        *,\n        *::before,\n        *::after {\n          box-sizing: inherit;\n        }\n\n        ", ";\n\n        ", ";\n      "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function GlobalStyles() {
  var _theme = useContext(ThemeContext);

  var _useColorMode = useColorMode(),
      colorMode = _useColorMode.colorMode;

  var styleProps = {
    colorMode: colorMode,
    theme: _theme
  };
  return /*#__PURE__*/createElement(Global, {
    styles: css(_templateObject(), palette('background')(styleProps), font('default')(styleProps), theme('global', 'fontSize')(styleProps), palette('text')(styleProps), palette('text')(styleProps), font('importUrls')(styleProps) && font('importUrls')(styleProps).map(function (url) {
      return "@import url(" + url + ")";
    }).join(';'), theme('global.css.root')(styleProps))
  });
}

export default GlobalStyles;
