import { createContext, createElement as createElement$1, useMemo } from 'react';
import '../Provider/ThemeContext.js';
import 'classnames';
import 'emotion';
import '@emotion/core';
import 'emotion-theming';
import '@emotion/styled';
import '../utils/useTheme.js';
import { _ as _objectSpread2, c as _extends } from '../chunk-0c448560.js';
import 'lodash/kebabCase';
import 'tinycolor2';
import '../utils/isFunction.js';
import '../utils/get.js';
import '../utils/theme.js';
import '../utils/omit.js';
import '../utils/pick.js';
import { omitCSSProps, pickCSSProps } from '../utils/cssProps.js';
import '../utils/useLocalStorage.js';
import '../Provider/ColorModeContext.js';
import '../utils/useColorMode.js';
import '../utils/useStyle.js';
import '../utils/omitBy.js';
import '../utils/useDefaultProps.js';
import '../utils/useDebounce.js';
import 'lodash/uniq';
import { useClassName } from '../utils/useClassName.js';
import '../utils/useBreakpoint.js';
import '../utils/uniqueId.js';
import '../utils/times.js';
import '../utils/parseIcons.js';
import '../utils/colors.js';
import '../utils/palette.js';
import '../utils/mergeRefs.js';
import 'deepmerge';
import 'lodash/set';
import '../utils/applyTheme.js';
import '../utils/bindFns.js';
import { createComponent } from '../utils/createComponent.js';
import { createElement } from '../utils/createElement.js';
import { createHook } from '../utils/createHook.js';
import '../utils/forwardRefWithUse.js';
import '../utils/fieldAdaptors.js';
import '@emotion/is-prop-valid';
import '../utils/htmlProps.js';
import '../utils/OutsideClickHandler.js';
import { Box } from 'reakit';
import '../Box/styles-579aeb3a.js';
import { Box as Box$1 } from '../Box/Box.js';
import { g as TableWrapper, T as Table$1 } from './styles-47e7bde3.js';

var TableContext = createContext({
  overrides: {},
  tableVariant: 'default'
});
var useProps = createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;
  var children = props.children,
      overrides = props.overrides,
      variant = props.variant;
  var tableWrapperClassName = useClassName({
    style: TableWrapper,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride
  });
  var boxProps = Box$1.useProps(_objectSpread2(_objectSpread2({}, omitCSSProps(props)), {}, {
    wrapElement: function wrapElement(element) {
      return /*#__PURE__*/createElement$1(Box$1, _extends({
        className: tableWrapperClassName
      }, pickCSSProps(props)), element);
    }
  }));
  var className = useClassName({
    style: Table$1,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: boxProps.className
  });
  var contextValue = useMemo(function () {
    return {
      overrides: overrides,
      tableVariant: variant
    };
  }, [overrides, variant]);
  return _objectSpread2(_objectSpread2({}, boxProps), {}, {
    className: className,
    children: /*#__PURE__*/createElement$1(TableContext.Provider, {
      value: contextValue
    }, children)
  });
}, {
  defaultProps: {
    dividerColor: 'white800',
    hoverColor: 'white600',
    stripeColor: 'white600',
    responsiveBreakpoint: 'mobile',
    variant: 'default'
  },
  themeKey: 'Table'
});
var Table = createComponent(function (props) {
  var textProps = useProps(props);
  return createElement({
    children: props.children,
    component: Box,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'Table'
  },
  defaultProps: {
    use: 'table'
  },
  themeKey: 'Table'
});

export { Table, TableContext };
