'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n    && {\n      border-color: ", " !important;\n    }\n\n    background-color: ", ";\n    color: ", ";\n    fill: ", ";\n\n    & {\n      ", ";\n    }\n  "]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  max-width: 500px;\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  position: absolute;\n  top: ", "rem;\n  right: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  margin-right: ", "rem;\n\n  & .fp-Icon {\n    vertical-align: -0.125em;\n  }\n  & .fp-CalloutContent .fp-Icon {\n    font-size: 1.25em;\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  margin-top: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  font-size: ", "em;\n  font-weight: ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  margin-bottom: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      position: relative;\n    "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  ", "\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Callout = function Callout(styleProps) {
  return emotion.css(_templateObject(), styleProps.showCloseButton && core.css(_templateObject2()), styleProps.hasTint && getTintAttributes(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutContent = function CalloutContent(styleProps) {
  return emotion.css(_templateObject3(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutHeader = function CalloutHeader(styleProps) {
  return emotion.css(_templateObject4(), theme.space(1, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutTitle = function CalloutTitle(styleProps) {
  return emotion.css(_templateObject5(), theme.fontSize('300')(styleProps), theme.fontWeight('semibold')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutFooter = function CalloutFooter(styleProps) {
  return emotion.css(_templateObject6(), theme.space(3, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutIconWrapper = function CalloutIconWrapper(styleProps) {
  return emotion.css(_templateObject7(), theme.space(2, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutClose = function CalloutClose(styleProps) {
  return emotion.css(_templateObject8(), theme.space(1, 'major')(styleProps), theme.space(1, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CalloutOverlay = function CalloutOverlay(styleProps) {
  return emotion.css(_templateObject9(), theme.altitude('200')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var getTintAttributes = function getTintAttributes(styleProps) {
  return core.css(_templateObject10(), theme.palette(styleProps.type + "100")(styleProps), theme.palette(styleProps.type + "Tint")(styleProps), theme.palette(styleProps.type + "TintInverted")(styleProps), theme.palette(styleProps.type + "TintInverted")(styleProps), theme.theme(styleProps.themeKey, "tint")(styleProps));
};

var styles = /*#__PURE__*/Object.freeze({
  Callout: Callout,
  CalloutContent: CalloutContent,
  CalloutHeader: CalloutHeader,
  CalloutTitle: CalloutTitle,
  CalloutFooter: CalloutFooter,
  CalloutIconWrapper: CalloutIconWrapper,
  CalloutClose: CalloutClose,
  CalloutOverlay: CalloutOverlay,
  getTintAttributes: getTintAttributes
});

exports.Callout = Callout;
exports.CalloutClose = CalloutClose;
exports.CalloutContent = CalloutContent;
exports.CalloutFooter = CalloutFooter;
exports.CalloutHeader = CalloutHeader;
exports.CalloutIconWrapper = CalloutIconWrapper;
exports.CalloutOverlay = CalloutOverlay;
exports.CalloutTitle = CalloutTitle;
exports.getTintAttributes = getTintAttributes;
exports.styles = styles;
