'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  margin-top: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  font-weight: ", ";\n  font-size: ", "em;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  display: flex;\n  margin-bottom: ", "rem;\n  align-items: center;\n  justify-content: space-between;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  background-color: ", ";\n  border-radius: ", ";\n  padding: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Card = function Card(styleProps) {
  return emotion.css(_templateObject(), theme.palette('background')(styleProps), theme.borderRadius('default')(styleProps), theme.space(3, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CardContent = function CardContent(styleProps) {
  return emotion.css(_templateObject2(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CardHeader = function CardHeader(styleProps) {
  return emotion.css(_templateObject3(), theme.space(1, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CardTitle = function CardTitle(styleProps) {
  return emotion.css(_templateObject4(), theme.fontWeight('semibold')(styleProps), theme.fontSize('300')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var CardFooter = function CardFooter(styleProps) {
  return emotion.css(_templateObject5(), theme.space(3, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};

var styles = /*#__PURE__*/Object.freeze({
  Card: Card,
  CardContent: CardContent,
  CardHeader: CardHeader,
  CardTitle: CardTitle,
  CardFooter: CardFooter
});

exports.Card = Card;
exports.CardContent = CardContent;
exports.CardFooter = CardFooter;
exports.CardHeader = CardHeader;
exports.CardTitle = CardTitle;
exports.styles = styles;
