'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
var useClassName = require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
var createComponent = require('../utils/createComponent.js');
var createElement = require('../utils/createElement.js');
var createHook = require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
var reakit = require('reakit');
require('../Box/styles-efc98bd0.js');
var Box = require('../Box/Box.js');
require('../Menu/styles-8fe293c0.js');
var styles = require('./styles-21e30dfa.js');
var DropdownMenuButton = require('./DropdownMenuButton.js');
require('../Modal/styles-660b7886.js');
require('../Popover/styles-92fe0080.js');
var DropdownMenuPopover = require('./DropdownMenuPopover.js');
var DropdownMenuState = require('./DropdownMenuState.js');

var DropdownMenuContext = React.createContext({
  dropdownMenu: {},
  overrides: {}
});
var useProps = createHook.createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;

  var baseId = props.baseId,
      children = props.children,
      menu = props.menu,
      overrides = props.overrides,
      visible = props.visible,
      restProps = __chunk_1._objectWithoutPropertiesLoose(props, ["baseId", "children", "menu", "overrides", "visible"]);

  var boxProps = Box.Box.useProps(restProps);
  var dropdownMenu = DropdownMenuState.useDropdownMenuState({
    baseId: baseId,
    visible: visible
  });
  var dropdownMenuButtonProps = DropdownMenuButton.DropdownMenuButton.useProps(__chunk_1._objectSpread2(__chunk_1._objectSpread2({}, dropdownMenu), {}, {
    overrides: overrides
  }));
  var className = useClassName.useClassName({
    style: styles.DropdownMenu,
    styleProps: props,
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: boxProps.className
  });
  var contextValue = React.useMemo(function () {
    return {
      dropdownMenu: dropdownMenu,
      overrides: overrides
    };
  }, [dropdownMenu, overrides]);
  return __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, boxProps), {}, {
    className: className,
    children: /*#__PURE__*/React.createElement(DropdownMenuContext.Provider, {
      value: contextValue
    }, React.cloneElement(children, __chunk_1._objectSpread2({}, dropdownMenuButtonProps)), /*#__PURE__*/React.createElement(DropdownMenuPopover.DropdownMenuPopover, __chunk_1._extends({}, dropdownMenu, {
      overrides: overrides
    }), menu))
  });
}, {
  themeKey: 'DropdownMenu'
});
var DropdownMenu = createComponent.createComponent(function (props) {
  var textProps = useProps(props);
  return createElement.createElement({
    children: props.children,
    component: reakit.Box,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'DropdownMenu'
  },
  themeKey: 'DropdownMenu'
});

exports.DropdownMenu = DropdownMenu;
exports.DropdownMenuContext = DropdownMenuContext;
