'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
var useClassName = require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
var bindFns = require('../utils/bindFns.js');
var createComponent = require('../utils/createComponent.js');
var createElement = require('../utils/createElement.js');
var createHook = require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
var reakit = require('reakit');
require('../Box/styles-efc98bd0.js');
var Box = require('../Box/Box.js');
require('../Icon/styles-ea974feb.js');
var Icon = require('../Icon/Icon.js');
require('../Menu/styles-8fe293c0.js');
var styles = require('./styles-21e30dfa.js');
require('./DropdownMenuButton.js');
require('../Modal/styles-660b7886.js');
require('../Popover/styles-92fe0080.js');
require('./DropdownMenuPopover.js');
require('./DropdownMenuState.js');
var DropdownMenu = require('./DropdownMenu.js');

var useProps = createHook.createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;

  var iconAfter = props.iconAfter,
      iconAfterProps = props.iconAfterProps,
      iconBefore = props.iconBefore,
      iconBeforeProps = props.iconBeforeProps,
      children = props.children,
      baseId = props.baseId,
      disabled = props.disabled,
      first = props.first,
      focusable = props.focusable,
      last = props.last,
      unregisterItem = props.unregisterItem,
      registerItem = props.registerItem,
      currentId = props.currentId,
      hide = props.hide,
      move = props.move,
      next = props.next,
      onClick = props.onClick,
      orientation = props.orientation,
      overrides = props.overrides,
      placement = props.placement,
      previous = props.previous,
      id = props.id,
      setCurrentId = props.setCurrentId,
      items = props.items,
      visible = props.visible,
      up = props.up,
      down = props.down,
      unstable_clickOnEnter = props.unstable_clickOnEnter,
      unstable_clickOnSpace = props.unstable_clickOnSpace,
      unstable_hasActiveWidget = props.unstable_hasActiveWidget,
      unstable_idCountRef = props.unstable_idCountRef,
      unstable_moves = props.unstable_moves,
      unstable_virtual = props.unstable_virtual,
      restProps = __chunk_1._objectWithoutPropertiesLoose(props, ["iconAfter", "iconAfterProps", "iconBefore", "iconBeforeProps", "children", "baseId", "disabled", "first", "focusable", "last", "unregisterItem", "registerItem", "currentId", "hide", "move", "next", "onClick", "orientation", "overrides", "placement", "previous", "id", "setCurrentId", "items", "visible", "up", "down", "unstable_clickOnEnter", "unstable_clickOnSpace", "unstable_hasActiveWidget", "unstable_idCountRef", "unstable_moves", "unstable_virtual"]);

  var _React$useContext = React.useContext(DropdownMenu.DropdownMenuContext),
      dropdownMenuOverrides = _React$useContext.overrides,
      dropdownMenu = _React$useContext.dropdownMenu;

  var dropdownMenuItemProps = reakit.useMenuItem(__chunk_1._objectSpread2({
    baseId: baseId,
    disabled: disabled,
    first: first,
    focusable: focusable,
    last: last,
    unregisterItem: unregisterItem,
    registerItem: registerItem,
    currentId: currentId,
    hide: hide,
    move: move,
    next: next,
    orientation: orientation,
    placement: placement,
    previous: previous,
    id: id,
    setCurrentId: setCurrentId,
    items: items,
    visible: visible,
    up: up,
    down: down,
    unstable_clickOnEnter: unstable_clickOnEnter,
    unstable_clickOnSpace: unstable_clickOnSpace,
    unstable_hasActiveWidget: unstable_hasActiveWidget,
    unstable_idCountRef: unstable_idCountRef,
    unstable_moves: unstable_moves,
    unstable_virtual: unstable_virtual
  }, dropdownMenu), restProps);
  var boxProps = Box.Box.useProps(__chunk_1._objectSpread2(__chunk_1._objectSpread2({}, restProps), dropdownMenuItemProps));
  var className = useClassName.useClassName({
    style: styles.DropdownMenuItem,
    styleProps: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, props), {}, {
      overrides: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, dropdownMenuOverrides), overrides)
    }),
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: boxProps.className
  });
  var iconBeforeClassName = useClassName.useClassName({
    style: styles.DropdownMenuItemIcon,
    styleProps: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, props), {}, {
      overrides: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, dropdownMenuOverrides), overrides),
      isBefore: true
    }),
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'Icon'
  });
  var iconAfterClassName = useClassName.useClassName({
    style: styles.DropdownMenuItemIcon,
    styleProps: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, props), {}, {
      overrides: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, dropdownMenuOverrides), overrides),
      isAfter: true
    }),
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'Icon'
  });
  return __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, boxProps), {}, {
    className: className,
    children: /*#__PURE__*/React.createElement(React.Fragment, null, iconBefore && /*#__PURE__*/React.createElement(Icon.Icon, __chunk_1._extends({
      className: iconBeforeClassName,
      icon: iconBefore
    }, iconBeforeProps)), children, iconAfter && /*#__PURE__*/React.createElement(Icon.Icon, __chunk_1._extends({
      className: iconAfterClassName,
      icon: iconAfter
    }, iconAfterProps))),
    onClick: bindFns.bindFns(onClick, hide, dropdownMenu.hide),
    tabIndex: props.isTabbable ? boxProps.tabIndex : undefined
  });
}, {
  defaultProps: {
    isTabbable: true
  },
  themeKey: 'DropdownMenu.Item'
});
var DropdownMenuItem = createComponent.createComponent(function (props) {
  var textProps = useProps(props);
  return createElement.createElement({
    children: props.children,
    component: reakit.Box,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'DropdownMenu.Item'
  },
  themeKey: 'DropdownMenu.Item'
});

exports.DropdownMenuItem = DropdownMenuItem;
