'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    position: absolute;\n    padding: ", "rem;\n    margin-top: ", "rem;\n    width: max-content;\n    max-width: 400px;\n    z-index: 999999;\n    ", ";\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    font-size: ", "rem;\n    padding: ", "rem;\n    min-height: unset;\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  display: block;\n  font-size: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  color: ", ";\n  margin-left: ", "rem;\n  font-weight: ", ";\n  font-size: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  font-size: ", "rem;\n  color: ", ";\n  margin-left: ", "rem;\n  line-height: 1;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  display: block;\n  font-size: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  display: block;\n  font-size: ", "rem;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var FieldWrapper = function FieldWrapper(styleProps) {
  return emotion.css(_templateObject(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var Label = function Label(styleProps) {
  return emotion.css(_templateObject2(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var DescriptionText = function DescriptionText(styleProps) {
  return emotion.css(_templateObject3(), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var HintText = function HintText(styleProps) {
  return emotion.css(_templateObject4(), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var OptionalText = function OptionalText(styleProps) {
  return emotion.css(_templateObject5(), theme.fontSize('150')(styleProps), theme.palette('text100')(styleProps), theme.space(2)(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var RequiredText = function RequiredText(styleProps) {
  return emotion.css(_templateObject6(), theme.palette('danger')(styleProps), theme.space(1)(styleProps), theme.fontWeight('semibold')(styleProps), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var ValidationText = function ValidationText(styleProps) {
  return emotion.css(_templateObject7(), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TooltipTrigger = function TooltipTrigger(styleProps) {
  return emotion.css(_templateObject8(), theme.fontSize('100')(styleProps), theme.space(1)(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TooltipPopover = function TooltipPopover(styleProps) {
  return emotion.css(_templateObject9(), theme.space(1, 'major')(styleProps), theme.space(1, 'major')(styleProps), theme.altitude('300')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};

var styles = /*#__PURE__*/Object.freeze({
  FieldWrapper: FieldWrapper,
  Label: Label,
  DescriptionText: DescriptionText,
  HintText: HintText,
  OptionalText: OptionalText,
  RequiredText: RequiredText,
  ValidationText: ValidationText,
  TooltipTrigger: TooltipTrigger,
  TooltipPopover: TooltipPopover
});

exports.DescriptionText = DescriptionText;
exports.FieldWrapper = FieldWrapper;
exports.HintText = HintText;
exports.Label = Label;
exports.OptionalText = OptionalText;
exports.RequiredText = RequiredText;
exports.TooltipPopover = TooltipPopover;
exports.TooltipTrigger = TooltipTrigger;
exports.ValidationText = ValidationText;
exports.styles = styles;
