'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject13() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject13 = function _templateObject13() {
    return data;
  };

  return data;
}

function _templateObject12() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        ", ";\n      }\n    "]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & .fp-InputWrapper {\n    flex: 1;\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    font-size: inherit;\n    align-items: center;\n    display: flex;\n    position: absolute;\n    height: 2.75em;\n    margin: 0 0.75em;\n    top: 0;\n    right: 0;\n    z-index: 2;\n\n    ", ";\n  }\n"]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    fill: ", ";\n    height: 2.75em;\n    margin: 0 0.75em;\n    top: 0;\n\n    ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        padding-left: 2.3em;\n      }\n    "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        padding-right: 2.3em;\n      }\n    "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        border-color: ", ";\n        box-shadow: ", " 0px 0px 0px 3px !important;\n      }\n    "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  -webkit-appearance: none;\n  border: 1px solid ", ";\n  border-radius: ", ";\n  height: 2.75em;\n  width: 100%;\n  padding: 0.4em 0.8em;\n  transition: box-shadow 0.1s ease-in-out 0s, border-color 0.1s, background-color 0.1s;\n\n  &[disabled] {\n    background-color: ", ";\n    box-shadow: unset;\n    cursor: not-allowed;\n\n    & {\n      ", ";\n    }\n  }\n\n  &:focus {\n    outline: unset;\n    z-index: 2;\n    border-color: ", ";\n    box-shadow: ", " 0px 0px 0px 3px !important;\n\n    & {\n      ", ";\n    }\n  }\n\n  &::placeholder {\n    opacity: 0.6;\n\n    & {\n      ", ";\n    }\n  }\n\n  ", "\n\n  ", ";\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  align-items: center;\n  position: relative;\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var InputWrapper = function InputWrapper(styleProps) {
  return emotion.css(_templateObject(), styleProps.size && wrapperSizeProperties(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var Input = function Input(styleProps) {
  return emotion.css(_templateObject2(), theme.palette('white900')(styleProps), theme.borderRadius('default')(styleProps), theme.palette('white700')(styleProps), theme.theme(styleProps.themeKey, "css.disabled")(styleProps), theme.palette('primary')(styleProps), theme.palette('primaryTint')(styleProps), theme.theme(styleProps.themeKey, "css.focus")(styleProps), theme.theme(styleProps.themeKey, "css.placeholder")(styleProps), styleProps.state && core.css(_templateObject3(), theme.palette("" + styleProps.state)(styleProps), theme.palette(styleProps.state + "Tint")(styleProps)), (styleProps.after || styleProps.isLoading) && core.css(_templateObject4()), styleProps.before && core.css(_templateObject5()), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var InputIcon = function InputIcon(styleProps) {
  return emotion.css(_templateObject6(), theme.palette('text100')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var InputSpinner = function InputSpinner(styleProps) {
  return emotion.css(_templateObject7(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var InputField = function InputField(styleProps) {
  return emotion.css(_templateObject8(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var InputFieldGroup = function InputFieldGroup(styleProps) {
  return emotion.css(_templateObject9(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
function wrapperSizeProperties(styleProps) {
  var properties = {
    small: core.css(_templateObject10(), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.small")(styleProps)),
    default: core.css(_templateObject11(), theme.theme(styleProps.themeKey, "css.sizes.default")(styleProps)),
    medium: core.css(_templateObject12(), theme.fontSize('300')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.medium")(styleProps)),
    large: core.css(_templateObject13(), theme.fontSize('400')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.large")(styleProps))
  };
  return properties[styleProps.size];
}

var styles = /*#__PURE__*/Object.freeze({
  InputWrapper: InputWrapper,
  Input: Input,
  InputIcon: InputIcon,
  InputSpinner: InputSpinner,
  InputField: InputField,
  InputFieldGroup: InputFieldGroup,
  wrapperSizeProperties: wrapperSizeProperties
});

exports.Input = Input;
exports.InputField = InputField;
exports.InputFieldGroup = InputFieldGroup;
exports.InputIcon = InputIcon;
exports.InputSpinner = InputSpinner;
exports.InputWrapper = InputWrapper;
exports.styles = styles;
exports.wrapperSizeProperties = wrapperSizeProperties;
