'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject30() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject30 = function _templateObject30() {
    return data;
  };

  return data;
}

function _templateObject29() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      padding-top: ", ";\n    "]);

  _templateObject29 = function _templateObject29() {
    return data;
  };

  return data;
}

function _templateObject28() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject28 = function _templateObject28() {
    return data;
  };

  return data;
}

function _templateObject27() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      position: fixed;\n      width: 100%;\n    "]);

  _templateObject27 = function _templateObject27() {
    return data;
  };

  return data;
}

function _templateObject26() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  background-color: ", ";\n  min-height: ", ";\n  height: ", ";\n  border-bottom: 1px solid ", ";\n  z-index: 999;\n\n  & > * {\n    height: 100%;\n  }\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject26 = function _templateObject26() {
    return data;
  };

  return data;
}

function _templateObject25() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  min-height: 100vh;\n  position: relative;\n\n  & .fp-PageWithSidebarSidebarExpandedWrapper {\n    top: ", ";\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject25 = function _templateObject25() {
    return data;
  };

  return data;
}

function _templateObject24() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject24 = function _templateObject24() {
    return data;
  };

  return data;
}

function _templateObject23() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject23 = function _templateObject23() {
    return data;
  };

  return data;
}

function _templateObject22() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      display: none;\n    "]);

  _templateObject22 = function _templateObject22() {
    return data;
  };

  return data;
}

function _templateObject21() {
  var data = __chunk_1._taggedTemplateLiteralLoose([""]);

  _templateObject21 = function _templateObject21() {
    return data;
  };

  return data;
}

function _templateObject20() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  &&& {\n    min-width: ", ";\n  }\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject20 = function _templateObject20() {
    return data;
  };

  return data;
}

function _templateObject19() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      display: none;\n    "]);

  _templateObject19 = function _templateObject19() {
    return data;
  };

  return data;
}

function _templateObject18() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      right: 0;\n    "]);

  _templateObject18 = function _templateObject18() {
    return data;
  };

  return data;
}

function _templateObject17() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  position: fixed;\n  z-index: 999999;\n\n  ", "\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject17 = function _templateObject17() {
    return data;
  };

  return data;
}

function _templateObject16() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      overflow: visible;\n    "]);

  _templateObject16 = function _templateObject16() {
    return data;
  };

  return data;
}

function _templateObject15() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      border-left: 1px solid ", ";\n    "]);

  _templateObject15 = function _templateObject15() {
    return data;
  };

  return data;
}

function _templateObject14() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      border-right: 1px solid ", ";\n    "]);

  _templateObject14 = function _templateObject14() {
    return data;
  };

  return data;
}

function _templateObject13() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  background-color: ", ";\n  height: 100vh;\n  min-width: ", ";\n  width: ", ";\n  overflow-y: scroll;\n  transform: translateX(0px);\n\n  ", "\n\n  ", "\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject13 = function _templateObject13() {
    return data;
  };

  return data;
}

function _templateObject12() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n        padding-right: 0px;\n      "]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n          padding-right: 0px;\n        "]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      padding-right: ", ";\n\n      ", "\n\n      ", "\n    "]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n        padding-left: 0px;\n      "]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n          padding-left: 0px;\n        "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      padding-left: ", ";\n\n      ", "\n\n      ", "\n    "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  width: 100%;\n\n  ", "\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  min-height: 100vh;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      padding-top: ", "rem;\n      padding-bottom: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      padding: ", "rem ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  padding: ", "rem ", "rem;\n\n  ", "\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var collapseBreakpoints = {
  tablet: 'mobile',
  desktop: 'tablet',
  widescreen: 'desktop',
  fullHD: 'widescreen'
};
var PageContent = function PageContent(styleProps) {
  return emotion.css(_templateObject(), theme.space(4, 'major')(styleProps), theme.space(2, 'major')(styleProps), styleProps.isFluid && core.css(_templateObject2(), theme.space(4, 'major')(styleProps), theme.theme('Container.fluidMargin')(styleProps), theme.theme(styleProps.themeKey, "css.fluid")(styleProps)), theme.breakpoint('max-tablet', core.css(_templateObject3(), theme.space(2, 'major')(styleProps), theme.space(2, 'major')(styleProps), theme.theme(styleProps.themeKey, "css.mobile")(styleProps)))(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageContentWrapper = function PageContentWrapper(styleProps) {
  return emotion.css(_templateObject4(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebar = function PageWithSidebar(styleProps) {
  return emotion.css(_templateObject5(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarContent = function PageWithSidebarContent(styleProps) {
  return emotion.css(_templateObject6(), styleProps.sidebarPlacement === 'left' && core.css(_templateObject7(), getWidth(styleProps), theme.breakpoint("max-" + collapseBreakpoints[styleProps.collapseBelow], core.css(_templateObject8()))(styleProps), !styleProps.isSidebarOpen && core.css(_templateObject9())), styleProps.sidebarPlacement === 'right' && core.css(_templateObject10(), getWidth(styleProps), theme.breakpoint("max-" + collapseBreakpoints[styleProps.collapseBelow], core.css(_templateObject11()))(styleProps), !styleProps.isSidebarOpen && core.css(_templateObject12())), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarSidebar = function PageWithSidebarSidebar(styleProps) {
  return emotion.css(_templateObject13(), theme.palette('background')(styleProps), getWidth(styleProps), getWidth(styleProps), styleProps.sidebarPlacement === 'left' && core.css(_templateObject14(), theme.palette('white800')(styleProps)), styleProps.sidebarPlacement === 'right' && core.css(_templateObject15(), theme.palette('white800')(styleProps)), styleProps.isSidebarMinimized && core.css(_templateObject16()), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarSidebarExpandedWrapper = function PageWithSidebarSidebarExpandedWrapper(styleProps) {
  return emotion.css(_templateObject17(), styleProps.sidebarPlacement === 'right' && core.css(_templateObject18()), theme.breakpoint("max-" + collapseBreakpoints[styleProps.collapseBelow], core.css(_templateObject19()))(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarSidebarCollapsedWrapper = function PageWithSidebarSidebarCollapsedWrapper(styleProps) {
  return emotion.css(_templateObject20(), styleProps.collapsedSidebarWidth, theme.breakpoint("max-" + collapseBreakpoints[styleProps.collapseBelow], core.css(_templateObject21()), {
    else: core.css(_templateObject22())
  })(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarDisclosure = function PageWithSidebarDisclosure(styleProps) {
  return emotion.css(_templateObject23(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithSidebarMinimize = function PageWithSidebarMinimize(styleProps) {
  return emotion.css(_templateObject24(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithHeader = function PageWithHeader(styleProps) {
  return emotion.css(_templateObject25(), styleProps.headerHeight, theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithHeaderHeader = function PageWithHeaderHeader(styleProps) {
  return emotion.css(_templateObject26(), theme.palette('background')(styleProps), styleProps.headerHeight, styleProps.headerHeight, theme.palette('white800')(styleProps), styleProps.sticky && core.css(_templateObject27()), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithHeaderContent = function PageWithHeaderContent(styleProps) {
  return emotion.css(_templateObject28(), styleProps.sticky && core.css(_templateObject29(), styleProps.isHeaderOpen ? styleProps.headerHeight : 'unset'), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var PageWithHeaderDisclosure = function PageWithHeaderDisclosure(styleProps) {
  return emotion.css(_templateObject30(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};

function getWidth(styleProps) {
  if (styleProps.isSidebarMinimized) {
    return styleProps.minimizedSidebarWidth;
  }

  if (styleProps.isCollapsed) {
    return styleProps.collapsedSidebarWidth;
  }

  return styleProps.sidebarWidth;
}

var styles = /*#__PURE__*/Object.freeze({
  collapseBreakpoints: collapseBreakpoints,
  PageContent: PageContent,
  PageContentWrapper: PageContentWrapper,
  PageWithSidebar: PageWithSidebar,
  PageWithSidebarContent: PageWithSidebarContent,
  PageWithSidebarSidebar: PageWithSidebarSidebar,
  PageWithSidebarSidebarExpandedWrapper: PageWithSidebarSidebarExpandedWrapper,
  PageWithSidebarSidebarCollapsedWrapper: PageWithSidebarSidebarCollapsedWrapper,
  PageWithSidebarDisclosure: PageWithSidebarDisclosure,
  PageWithSidebarMinimize: PageWithSidebarMinimize,
  PageWithHeader: PageWithHeader,
  PageWithHeaderHeader: PageWithHeaderHeader,
  PageWithHeaderContent: PageWithHeaderContent,
  PageWithHeaderDisclosure: PageWithHeaderDisclosure
});

exports.PageContent = PageContent;
exports.PageContentWrapper = PageContentWrapper;
exports.PageWithHeader = PageWithHeader;
exports.PageWithHeaderContent = PageWithHeaderContent;
exports.PageWithHeaderDisclosure = PageWithHeaderDisclosure;
exports.PageWithHeaderHeader = PageWithHeaderHeader;
exports.PageWithSidebar = PageWithSidebar;
exports.PageWithSidebarContent = PageWithSidebarContent;
exports.PageWithSidebarDisclosure = PageWithSidebarDisclosure;
exports.PageWithSidebarMinimize = PageWithSidebarMinimize;
exports.PageWithSidebarSidebar = PageWithSidebarSidebar;
exports.PageWithSidebarSidebarCollapsedWrapper = PageWithSidebarSidebarCollapsedWrapper;
exports.PageWithSidebarSidebarExpandedWrapper = PageWithSidebarSidebarExpandedWrapper;
exports.collapseBreakpoints = collapseBreakpoints;
exports.styles = styles;
