'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
require('../theme/palette.js');
require('../ActionButtons/styles-b19d93e0.js');
require('reakit');
require('../Button/styles-8d59f6ca.js');
require('conditional-wrap');
require('../Box/styles-efc98bd0.js');
require('../Box/Box.js');
require('../Flex/styles-13231042.js');
require('../Flex/Flex.js');
require('../Icon/styles-ea974feb.js');
require('../Icon/Icon.js');
require('../Text/styles-f1b322d0.js');
require('../Text/Text.js');
require('../Spinner/styles-67211e74.js');
require('../Spinner/Spinner.js');
require('../Button/Button.js');
require('reakit/VisuallyHidden');
require('../Button/ButtonClose.js');
require('../Button/index.js');
require('../Set/styles-f69d4775.js');
require('../Set/Set.js');
require('../ActionButtons/ActionButtons.js');
require('../Modal/styles-660b7886.js');
var styles$2$1$2 = require('./styles-92fe0080.js');
var PopoverState = require('./PopoverState.js');
var Popover$1 = require('./Popover.js');
var PopoverBackdrop = require('./PopoverBackdrop.js');
var PopoverDisclosure = require('./PopoverDisclosure.js');

var Popover = Object.assign(Popover$1.Popover, {
  Arrow: Popover$1.PopoverArrow,
  Backdrop: PopoverBackdrop.PopoverBackdrop,
  Content: Popover$1.PopoverContent,
  Disclosure: PopoverDisclosure.PopoverDisclosure,
  Footer: Popover$1.PopoverFooter,
  Header: Popover$1.PopoverHeader,
  Title: Popover$1.PopoverTitle,
  useState: PopoverState.usePopoverState,
  State: PopoverState.PopoverState
});

exports.popoverStyles = styles$2$1$2.styles;
exports.PopoverState = PopoverState.PopoverState;
exports.PopoverStateContext = PopoverState.PopoverStateContext;
exports.usePopoverState = PopoverState.usePopoverState;
exports.PopoverArrow = Popover$1.PopoverArrow;
exports.PopoverContent = Popover$1.PopoverContent;
exports.PopoverContext = Popover$1.PopoverContext;
exports.PopoverFooter = Popover$1.PopoverFooter;
exports.PopoverHeader = Popover$1.PopoverHeader;
exports.PopoverTitle = Popover$1.PopoverTitle;
exports.PopoverBackdrop = PopoverBackdrop.PopoverBackdrop;
exports.PopoverDisclosure = PopoverDisclosure.PopoverDisclosure;
exports.Popover = Popover;
