'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('./ThemeContext.js');
require('classnames');
require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('./ColorModeContext.js');
var useColorMode = require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n        html,\n        body {\n          background-color: ", ";\n          box-sizing: border-box;\n          font-family: ", ";\n          font-size: ", "px;\n          line-height: 1.5;\n          margin: 0;\n          padding: 0;\n          -webkit-font-smoothing: antialiased;\n          text-rendering: optimizeLegibility;\n          color: ", ";\n          fill: ", ";\n        }\n\n        *,\n        *::before,\n        *::after {\n          box-sizing: inherit;\n        }\n\n        ", ";\n\n        ", ";\n      "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function GlobalStyles() {
  var _theme = React.useContext(core.ThemeContext);

  var _useColorMode = useColorMode.useColorMode(),
      colorMode = _useColorMode.colorMode;

  var styleProps = {
    colorMode: colorMode,
    theme: _theme
  };
  return /*#__PURE__*/React.createElement(core.Global, {
    styles: core.css(_templateObject(), theme.palette('background')(styleProps), theme.font('default')(styleProps), theme.theme('global', 'fontSize')(styleProps), theme.palette('text')(styleProps), theme.palette('text')(styleProps), theme.font('importUrls')(styleProps) && theme.font('importUrls')(styleProps).map(function (url) {
      return "@import url(" + url + ")";
    }).join(';'), theme.theme('global.css.root')(styleProps))
  });
}

exports.default = GlobalStyles;
