'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
var colors = require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        ", ";\n      }\n    "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      font-size: ", "rem;\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    font-size: inherit;\n    align-items: center;\n    display: flex;\n    position: absolute;\n    height: 2.75em;\n    margin: 0 0.75em;\n    top: 0;\n    right: 0;\n    z-index: 2;\n\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  && {\n    position: absolute;\n    width: 0.8em;\n    height: 2.75em;\n    right: 0.8em;\n    z-index: 1;\n    color: ", ";\n    fill: ", ";\n    pointer-events: none;\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  align-items: center;\n  position: relative;\n  width: fit-content;\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        border-color: ", ";\n        box-shadow: ", " 0px 0px 0px 3px !important;\n      }\n    "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  appearance: none;\n  background: linear-gradient(rgb(255, 255, 255), rgb(249, 250, 251));\n  border: 1px solid ", ";\n  border-radius: ", ";\n  color: ", ";\n  height: 2.75em;\n  padding: 0.4em 2em 0.4em 0.8em;\n  line-height: 1.5;\n  transition: box-shadow 0.1s ease-in-out 0s, border-color 0.1s, background-color 0.1s;\n\n  &[disabled],\n  &[aria-disabled=\"true\"] {\n    background: ", ";\n    box-shadow: unset;\n\n    & {\n      ", ";\n    }\n  }\n\n  &[disabled] + .fp-Icon {\n    color: ", ";\n    fill: ", ";\n  }\n\n  &:focus {\n    outline: unset;\n    z-index: 2;\n    border-color: ", ";\n    box-shadow: ", " 0px 0px 0px 3px !important;\n  }\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Select = function Select(styleProps) {
  return emotion.css(_templateObject(), theme.palette('white900')(styleProps), theme.borderRadius('default')(styleProps), styleProps.isPlaceholderSelected ? colors.tint(0.4, 'text')(styleProps) : theme.palette('text')(styleProps), theme.palette('white700')(styleProps), theme.theme(styleProps.themeKey, "css.disabled")(styleProps), theme.palette('gray400')(styleProps), theme.palette('gray400')(styleProps), theme.palette('primary')(styleProps), theme.palette('primaryTint')(styleProps), styleProps.state && core.css(_templateObject2(), theme.palette("" + styleProps.state)(styleProps), theme.palette(styleProps.state + "Tint")(styleProps)), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SelectWrapper = function SelectWrapper(styleProps) {
  return emotion.css(_templateObject3(), styleProps.size && wrapperSizeProperties(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SelectIcon = function SelectIcon(styleProps) {
  return emotion.css(_templateObject4(), theme.palette('text')(styleProps), theme.palette('text')(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SelectSpinner = function SelectSpinner(styleProps) {
  return emotion.css(_templateObject5(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SelectField = function SelectField(styleProps) {
  return emotion.css(_templateObject6(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
function wrapperSizeProperties(styleProps) {
  var properties = {
    small: core.css(_templateObject7(), theme.fontSize('150')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.small")(styleProps)),
    default: core.css(_templateObject8(), theme.theme(styleProps.themeKey, "css.sizes.default")(styleProps)),
    medium: core.css(_templateObject9(), theme.fontSize('300')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.medium")(styleProps)),
    large: core.css(_templateObject10(), theme.fontSize('400')(styleProps), theme.theme(styleProps.themeKey, "css.sizes.large")(styleProps))
  };
  return properties[styleProps.size];
}

var styles = /*#__PURE__*/Object.freeze({
  Select: Select,
  SelectWrapper: SelectWrapper,
  SelectIcon: SelectIcon,
  SelectSpinner: SelectSpinner,
  SelectField: SelectField,
  wrapperSizeProperties: wrapperSizeProperties
});

exports.Select = Select;
exports.SelectField = SelectField;
exports.SelectIcon = SelectIcon;
exports.SelectSpinner = SelectSpinner;
exports.SelectWrapper = SelectWrapper;
exports.styles = styles;
exports.wrapperSizeProperties = wrapperSizeProperties;
