'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
var useClassName = require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
var uniqueId = require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
var createComponent = require('../utils/createComponent.js');
var createElement = require('../utils/createElement.js');
var createHook = require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
var reakit = require('reakit');
require('../Box/styles-efc98bd0.js');
var Box = require('../Box/Box.js');
require('../List/styles-1cbd2de5.js');
require('../List/List.js');
require('../List/ListItem.js');
var index = require('../List/index.js');
require('../Navigation/styles-08cdca45.js');
require('../Navigation/Navigation.js');
var styles = require('./styles-f8431b13.js');
var SideNav = require('./SideNav.js');

var SideNavLevelContext = React.createContext({
  level: 0
});
var useProps = createHook.createHook(function (props, _ref) {
  var themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride;

  var children = props.children,
      overrides = props.overrides,
      title = props.title,
      restProps = __chunk_1._objectWithoutPropertiesLoose(props, ["children", "overrides", "title"]);

  var listProps = index.List.useProps(restProps);

  var _React$useContext = React.useContext(SideNav.SideNavContext),
      sideNavOverrides = _React$useContext.overrides;

  var _React$useContext2 = React.useContext(SideNavLevelContext),
      level = _React$useContext2.level;

  var className = useClassName.useClassName({
    style: styles.SideNavLevel,
    styleProps: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, props), {}, {
      level: level,
      overrides: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, sideNavOverrides), overrides)
    }),
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    prevClassName: listProps.className
  });
  var titleClassName = useClassName.useClassName({
    style: styles.SideNavLevelTitle,
    styleProps: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, props), {}, {
      level: level,
      overrides: __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, sideNavOverrides), overrides)
    }),
    themeKey: themeKey,
    themeKeyOverride: themeKeyOverride,
    themeKeySuffix: 'Title'
  });
  var contextValue = React.useMemo(function () {
    return {
      level: level + 1
    };
  }, [level]);
  var titleId = uniqueId.useUniqueId('sideNavLevelTitle');
  return __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, listProps), {}, {
    'aria-labelledby': title ? titleId : undefined,
    className: className,
    children: /*#__PURE__*/React.createElement(SideNavLevelContext.Provider, {
      value: contextValue
    }, title && /*#__PURE__*/React.createElement(Box.Box, {
      id: titleId,
      className: titleClassName
    }, title), children)
  });
}, {
  themeKey: 'SideNav.Level'
});
var SideNavLevel = createComponent.createComponent(function (props) {
  var textProps = useProps(props);
  return createElement.createElement({
    children: props.children,
    component: reakit.Box,
    use: props.use,
    htmlProps: textProps
  });
}, {
  attach: {
    useProps: useProps,
    displayName: 'SideNav.Level'
  },
  defaultProps: {
    use: 'ul'
  },
  themeKey: 'SideNav.Level'
});

exports.SideNavLevel = SideNavLevel;
exports.SideNavLevelContext = SideNavLevelContext;
