'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      background-color: ", ";\n      box-shadow: inset 3px 0 0 0 ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  align-items: center;\n  color: ", ";\n  cursor: pointer;\n  display: flex;\n  min-height: 2.75em;\n  padding: 0 1rem;\n  padding-left: ", "rem;\n  transition: box-shadow 0.1s ease-in-out 0s, background-color 0.1s, color 0.1s;\n\n  a& {\n    color: ", ";\n    fill: ", ";\n    text-decoration: unset;\n\n    &:hover {\n      color: ", ";\n      fill: ", ";\n    }\n  }\n\n  &&&:hover {\n    color: ", ";\n\n    & {\n      ", ";\n    }\n  }\n\n  &:focus {\n    outline: unset;\n    background-color: ", ";\n\n    & {\n      ", ";\n    }\n  }\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  font-size: ", "rem;\n  font-weight: ", ";\n  margin-bottom: ", "rem;\n  padding-left: ", "rem;\n  text-transform: uppercase;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      margin-bottom: ", "rem;\n    "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  &&& {\n    margin-left: unset;\n  }\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  width: 100%;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var SideNav = function SideNav(styleProps) {
  return emotion.css(_templateObject(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SideNavLevel = function SideNavLevel(styleProps) {
  return emotion.css(_templateObject2(), styleProps.level === 0 && core.css(_templateObject3(), theme.space(3, 'major')(styleProps)), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SideNavLevelTitle = function SideNavLevelTitle(styleProps) {
  return emotion.css(_templateObject4(), theme.fontSize('150')(styleProps), theme.fontWeight('semibold')(styleProps), theme.space(2)(styleProps), styleProps.level + 1, theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var SideNavItem = function SideNavItem(styleProps) {
  return emotion.css(_templateObject5(), theme.palette('text200')(styleProps), styleProps.level === 1 ? theme.space(2, 'major')(styleProps) : styleProps.level, theme.palette('text200')(styleProps), theme.palette('text200')(styleProps), theme.palette('text200')(styleProps), theme.palette('text200')(styleProps), theme.palette('primary')(styleProps), theme.theme(styleProps.themeKey, "css.hover")(styleProps), theme.palette('primaryTint')(styleProps), theme.theme(styleProps.themeKey, "css.focus")(styleProps), styleProps.isActive && core.css(_templateObject6(), theme.palette('primaryTint')(styleProps), theme.palette('primary')(styleProps), theme.theme(styleProps.themeKey, "css.active")(styleProps)), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};

var styles = /*#__PURE__*/Object.freeze({
  SideNav: SideNav,
  SideNavLevel: SideNavLevel,
  SideNavLevelTitle: SideNavLevelTitle,
  SideNavItem: SideNavItem
});

exports.SideNav = SideNav;
exports.SideNavItem = SideNavItem;
exports.SideNavLevel = SideNavLevel;
exports.SideNavLevelTitle = SideNavLevelTitle;
exports.styles = styles;
