'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
var colors = require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  animation: ", " ", " infinite linear;\n"]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  from {\n    transform: rotate(0deg);\n  }\n\n  to {\n    transform: rotate(360deg);\n  }\n"]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & svg {\n        font-size: 36px;\n      }\n      & {\n        ", ";\n      }\n    "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & svg {\n        font-size: 28px;\n      }\n      & {\n        ", ";\n      }\n    "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & {\n        ", ";\n      }\n    "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      & svg {\n        font-size: 14px;\n        border-width: 2px;\n      }\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  stroke-dasharray: ", ";\n  stroke-dashoffset: ", ";\n  stroke: ", ";\n  transition: stroke-dashoffset 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  stroke: ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  width: 1em;\n  height: 1em;\n  transform: rotate(-90deg);\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  line-height: 1rem;\n  font-size: 20px;\n\n  ", ";\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var defaultDashArrayValueMax = 325;
var defaultDashOffset = 200;
var progressDashArrayValue = 126;
var progressDashOffset = 60;
var SpinnerWrapper = function SpinnerWrapper(styleProps) {
  return emotion.css(_templateObject(), styleProps.size && getSizeProperties(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var Spinner = function Spinner(styleProps) {
  return emotion.css(_templateObject2(), typeof styleProps.value === 'undefined' && getSpinnerAnimation(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TrackCircle = function TrackCircle(styleProps) {
  return emotion.css(_templateObject3(), theme.palette(styleProps.trackColor || styleProps.color + "100", styleProps.trackColor || colors.tint(0.9, styleProps.color)(styleProps))(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var LoaderCircle = function LoaderCircle(styleProps) {
  return emotion.css(_templateObject4(), typeof styleProps.value === 'number' ? progressDashArrayValue : getDashArrayValue(styleProps), typeof styleProps.value === 'number' ? progressDashArrayValue - styleProps.value / 100 * progressDashArrayValue + "px" : defaultDashOffset + "px", theme.palette(styleProps.color, styleProps.color)(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var getDashArrayValue = function getDashArrayValue(styleProps) {
  var percentageString = styleProps.perimeter.split('%')[0];
  var percentage = parseFloat(percentageString);
  var scalar = percentage / 100;
  return defaultDashOffset + scalar * (defaultDashArrayValueMax - defaultDashOffset);
};
var getSizeProperties = function getSizeProperties(styleProps) {
  var sizeProperties = {
    small: core.css(_templateObject5(), theme.theme(styleProps.themeKey, "css.sizes.small")(styleProps)),
    default: core.css(_templateObject6(), theme.theme(styleProps.themeKey, "css.sizes.default")(styleProps)),
    medium: core.css(_templateObject7(), theme.theme(styleProps.themeKey, "css.sizes.medium")(styleProps)),
    large: core.css(_templateObject8(), theme.theme(styleProps.themeKey, "css.sizes.large")(styleProps))
  };
  return sizeProperties[styleProps.size];
};
var rotate = core.keyframes(_templateObject9());
var getSpinnerAnimation = function getSpinnerAnimation(styleProps) {
  return core.css(_templateObject10(), rotate, styleProps.duration);
};

var styles = /*#__PURE__*/Object.freeze({
  defaultDashArrayValueMax: defaultDashArrayValueMax,
  defaultDashOffset: defaultDashOffset,
  progressDashArrayValue: progressDashArrayValue,
  progressDashOffset: progressDashOffset,
  SpinnerWrapper: SpinnerWrapper,
  Spinner: Spinner,
  TrackCircle: TrackCircle,
  LoaderCircle: LoaderCircle,
  getDashArrayValue: getDashArrayValue,
  getSizeProperties: getSizeProperties,
  rotate: rotate,
  getSpinnerAnimation: getSpinnerAnimation
});

exports.LoaderCircle = LoaderCircle;
exports.Spinner = Spinner;
exports.SpinnerWrapper = SpinnerWrapper;
exports.TrackCircle = TrackCircle;
exports.defaultDashArrayValueMax = defaultDashArrayValueMax;
exports.defaultDashOffset = defaultDashOffset;
exports.getDashArrayValue = getDashArrayValue;
exports.getSizeProperties = getSizeProperties;
exports.getSpinnerAnimation = getSpinnerAnimation;
exports.progressDashArrayValue = progressDashArrayValue;
exports.progressDashOffset = progressDashOffset;
exports.rotate = rotate;
exports.styles = styles;
