'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
var fieldAdaptors = require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
require('../utils/getHiddenInputStyles.js');
require('../theme/palette.js');
require('reakit');
require('../Button/styles-8d59f6ca.js');
require('conditional-wrap');
require('../Box/styles-efc98bd0.js');
require('../Box/Box.js');
require('../Flex/styles-13231042.js');
require('../Flex/Flex.js');
require('../Icon/styles-ea974feb.js');
require('../Icon/Icon.js');
require('../Text/styles-f1b322d0.js');
require('../Text/Text.js');
require('../Spinner/styles-67211e74.js');
require('../Spinner/Spinner.js');
require('../Button/Button.js');
require('reakit/VisuallyHidden');
require('../Button/ButtonClose.js');
require('../Button/index.js');
require('../Set/styles-f69d4775.js');
require('../Set/Set.js');
require('../FieldWrapper/styles-5947956c.js');
require('../Card/styles-c4dd6f58.js');
require('../Card/Card.js');
require('../Card/index.js');
require('../Disclosure/styles-c34e6c23.js');
require('../Disclosure/DisclosureState.js');
require('../Disclosure/Disclosure.js');
require('../Disclosure/DisclosureContent.js');
require('../Disclosure/index.js');
require('../Label/styles-75351763.js');
require('../Label/Label.js');
require('../FieldWrapper/FieldWrapper.js');
var styles = require('./styles-ca4f329d.js');
var Switch$1 = require('./Switch.js');
var SwitchGroup$1 = require('./SwitchGroup.js');

var Switch = Object.assign(Switch$1.Switch, {
  Formik: fieldAdaptors.formikField(Switch$1.Switch),
  ReduxForm: fieldAdaptors.reduxFormField(Switch$1.Switch)
});
var SwitchField = Object.assign(Switch$1.SwitchField, {
  Formik: fieldAdaptors.formikField(Switch$1.SwitchField, {
    isCheckbox: true,
    hasFieldWrapper: true
  }),
  ReduxForm: fieldAdaptors.reduxFormField(Switch$1.SwitchField, {
    isCheckbox: true,
    hasFieldWrapper: true
  })
});
var SwitchGroup = Object.assign(SwitchGroup$1.SwitchGroup, {
  Formik: fieldAdaptors.formikField(SwitchGroup$1.SwitchGroup, {
    isCheckboxGroup: true
  }),
  ReduxForm: fieldAdaptors.reduxFormField(SwitchGroup$1.SwitchGroup, {
    isCheckboxGroup: true
  })
});
var SwitchGroupField = Object.assign(SwitchGroup$1.SwitchGroupField, {
  Formik: fieldAdaptors.formikField(SwitchGroup$1.SwitchGroupField, {
    isCheckboxGroup: true,
    hasFieldWrapper: true
  }),
  ReduxForm: fieldAdaptors.reduxFormField(SwitchGroup$1.SwitchGroupField, {
    isCheckboxGroup: true,
    hasFieldWrapper: true
  })
});

exports.switchStyles = styles.styles;
exports.Switch = Switch;
exports.SwitchField = SwitchField;
exports.SwitchGroup = SwitchGroup;
exports.SwitchGroupField = SwitchGroupField;
