'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
var colors = require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n    font-size: 1.25em;\n    height: 2.5rem;\n    & {\n      ", ";\n    }\n  "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n    font-size: 1em;\n    height: 2rem;\n    & {\n      ", ";\n    }\n  "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n    & {\n      ", ";\n    }\n  "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    background-color: unset;\n    border: 1px solid ", ";\n    color: ", ";\n    fill: ", ";\n  }\n  & {\n    ", ";\n  }\n"]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n        background-color: unset;\n        color: ", ";\n\n        &:hover {\n          background-color: ", ";\n        }\n      "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  &&& {\n    background-color: ", ";\n    color: ", ";\n    fill: ", ";\n    height: 1.5em;\n    padding: 0 ", "em;\n    margin-right: ", "em;\n    margin-left: -", "em;\n\n    &:hover {\n      background-color: ", ";\n    }\n\n    &:focus {\n      box-shadow: unset;\n    }\n\n    ", "\n\n    & {\n      ", ";\n    }\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  align-items: center;\n  display: flex;\n  height: inherit;\n  padding: 0 ", "em;\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  align-items: center;\n  background-color: ", ";\n  border-radius: ", ";\n  color: ", ";\n  display: inline-flex;\n  fill: ", ";\n  font-size: ", "rem;\n  font-weight: ", ";\n  height: 1.5rem;\n  justify-content: center;\n\n  ", "\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var Tag = function Tag(styleProps) {
  return emotion.css(_templateObject(), theme.palette(styleProps.palette)(styleProps), theme.borderRadius('default')(styleProps), theme.palette(styleProps.palette + "Inverted")(styleProps), theme.palette(styleProps.palette + "Inverted")(styleProps), theme.fontSize('100')(styleProps), theme.fontWeight('semibold')(styleProps), styleProps.variant === 'outlined' && outlinedProperties(styleProps), styleProps.size && sizeProperties(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TagContent = function TagContent(styleProps) {
  return emotion.css(_templateObject2(), theme.space(3)(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TagClose = function TagClose(styleProps) {
  return emotion.css(_templateObject3(), theme.palette(styleProps.palette)(styleProps), theme.palette(styleProps.palette + "Inverted")(styleProps), theme.palette(styleProps.palette + "Inverted")(styleProps), theme.space(1)(styleProps), theme.space(1)(styleProps), theme.space(1)(styleProps), colors.darken(0.1, styleProps.palette)(styleProps), styleProps.variant === 'outlined' && core.css(_templateObject4(), theme.palette(styleProps.palette)(styleProps), theme.palette('white700')(styleProps)), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var outlinedProperties = function outlinedProperties(styleProps) {
  return emotion.css(_templateObject5(), theme.palette(styleProps.palette)(styleProps), theme.palette(styleProps.palette)(styleProps), theme.palette(styleProps.palette)(styleProps), theme.theme(styleProps.themeKey, "css.outlined")(styleProps));
};
var sizeProperties = function sizeProperties(styleProps) {
  var sizes = {
    default: emotion.css(_templateObject6(), theme.theme(styleProps.themeKey, "css.sizes.default")(styleProps)),
    medium: emotion.css(_templateObject7(), theme.theme(styleProps.themeKey, "css.sizes.medium")(styleProps)),
    large: emotion.css(_templateObject8(), theme.theme(styleProps.themeKey, "css.sizes.large")(styleProps))
  };
  return sizes[styleProps.size];
};

var styles = /*#__PURE__*/Object.freeze({
  Tag: Tag,
  TagContent: TagContent,
  TagClose: TagClose,
  outlinedProperties: outlinedProperties,
  sizeProperties: sizeProperties
});

exports.Tag = Tag;
exports.TagClose = TagClose;
exports.TagContent = TagContent;
exports.outlinedProperties = outlinedProperties;
exports.sizeProperties = sizeProperties;
exports.styles = styles;
