'use strict';

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
var emotion = require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
var theme = require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
var styles$1$2$1 = require('../Modal/styles-660b7886.js');

function _templateObject12() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n    ", ";\n  "]);

  _templateObject12 = function _templateObject12() {
    return data;
  };

  return data;
}

function _templateObject11() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject11 = function _templateObject11() {
    return data;
  };

  return data;
}

function _templateObject10() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject10 = function _templateObject10() {
    return data;
  };

  return data;
}

function _templateObject9() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject9 = function _templateObject9() {
    return data;
  };

  return data;
}

function _templateObject8() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject8 = function _templateObject8() {
    return data;
  };

  return data;
}

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n      ", ";\n\n      & {\n        ", ";\n      }\n    "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  display: grid;\n  overflow: hidden;\n\n  & > svg {\n    background-color: transparent;\n\n    & .stroke {\n      fill: black;\n    }\n    & .fill {\n      fill: black;\n    }\n  }\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  & {\n    ", ";\n  }\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n  background: black;\n  border-radius: ", ";\n  color: ", ";\n  opacity: 0.8;\n  hyphens: auto;\n  font-size: ", "rem;\n  font-weight: ", ";\n  padding: ", "rem ", "rem;\n\n  ", "\n\n  & {\n    ", ";\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var TooltipContent = function TooltipContent(styleProps) {
  return emotion.css(_templateObject(), theme.borderRadius('1')(styleProps), theme.palette('white')(styleProps), theme.fontSize('100')(styleProps), theme.fontWeight('normal')(styleProps), theme.space(1)(styleProps), theme.space(2)(styleProps), getPlacementAttributes(styleProps), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TooltipReference = function TooltipReference(styleProps) {
  return emotion.css(_templateObject2(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var TooltipArrow = function TooltipArrow(styleProps) {
  return emotion.css(_templateObject3(), theme.theme(styleProps.themeKey, "css.root")(styleProps));
};
var getPlacementAttributes = function getPlacementAttributes(styleProps) {
  var placementAttributes = {
    // @ts-ignore
    top: core.css(_templateObject4(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'bottom',
      defaultExpand: 'bottom',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.top")(styleProps)),
    // @ts-ignore
    bottom: core.css(_templateObject5(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'top',
      defaultExpand: 'top',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.bottom")(styleProps)),
    // @ts-ignore
    left: core.css(_templateObject6(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'right',
      defaultExpand: 'right',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.left")(styleProps)),
    // @ts-ignore
    right: core.css(_templateObject7(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'left',
      defaultExpand: 'left',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.right")(styleProps)),
    // @ts-ignore
    'top-start': core.css(_templateObject8(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'bottom',
      defaultExpand: 'bottom',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.topStart")(styleProps)),
    // @ts-ignore
    'top-end': core.css(_templateObject9(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'bottom',
      defaultExpand: 'bottom',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.topEnd")(styleProps)),
    // @ts-ignore
    'bottom-end': core.css(_templateObject10(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'top',
      defaultExpand: 'top',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.bottomEnd")(styleProps)),
    // @ts-ignore
    'bottom-start': core.css(_templateObject11(), styles$1$2$1.getAnimatedAttributes({
      prevTransformValue: styleProps.unstable_popoverStyles.transform,
      transformX: '0px',
      transformY: '0px',
      defaultSlide: 'top',
      defaultExpand: 'top',
      slideOffset: (styleProps.gutter || '10') + "px"
    })(styleProps), theme.theme(styleProps.themeKey, "css.placements.bottomStart")(styleProps))
  };
  return core.css(_templateObject12(), placementAttributes[styleProps.placement || 'center']);
};

var styles = /*#__PURE__*/Object.freeze({
  TooltipContent: TooltipContent,
  TooltipReference: TooltipReference,
  TooltipArrow: TooltipArrow,
  getPlacementAttributes: getPlacementAttributes
});

exports.TooltipArrow = TooltipArrow;
exports.TooltipContent = TooltipContent;
exports.TooltipReference = TooltipReference;
exports.getPlacementAttributes = getPlacementAttributes;
exports.styles = styles;
