'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var __chunk_1 = require('../chunk-4f52fe58.js');
var parseIcons = require('../utils/parseIcons.js');
var faInfoCircle = require('@fortawesome/free-solid-svg-icons/faInfoCircle');
var faChevronDown = require('@fortawesome/free-solid-svg-icons/faChevronDown');
var faChevronLeft = require('@fortawesome/free-solid-svg-icons/faChevronLeft');
var faChevronRight = require('@fortawesome/free-solid-svg-icons/faChevronRight');
var faExclamationTriangle = require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
var faCheckCircle = require('@fortawesome/free-solid-svg-icons/faCheckCircle');
var faExclamationCircle = require('@fortawesome/free-solid-svg-icons/faExclamationCircle');
var faQuestionCircle = require('@fortawesome/free-solid-svg-icons/faQuestionCircle');
var faTimes = require('@fortawesome/free-solid-svg-icons/faTimes');
var faSearch = require('@fortawesome/free-solid-svg-icons/faSearch');
var faStar = require('@fortawesome/free-solid-svg-icons/faStar');

var parseOverrideIcons = function parseOverrideIcons(icons) {
  return icons.reduce(function (currentIcons, iconSet) {
    return __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, currentIcons), parseIcons.parseIcons(iconSet.icons, {
      type: iconSet.type,
      prefix: iconSet.prefix
    }));
  }, {});
};

var Icon = (function (overrides) {
  var _overrides$iconSets, _overrides$icons, _overrides$iconNames;

  return __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, overrides), {}, {
    icons: __chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2({}, parseIcons.parseIcons([faChevronDown, faChevronLeft, faChevronRight, faInfoCircle, faExclamationTriangle, faCheckCircle, faExclamationCircle, faQuestionCircle, faTimes, faSearch, faStar], {
      type: 'font-awesome-standalone'
    })), parseOverrideIcons((_overrides$iconSets = overrides === null || overrides === void 0 ? void 0 : overrides.iconSets) !== null && _overrides$iconSets !== void 0 ? _overrides$iconSets : [])), {}, {
      close: {
        viewBoxHeight: 512,
        viewBoxWidth: 320,
        paths: ['M193.94 256L296.5 153.44l21.15-21.15c3.12-3.12 3.12-8.19 0-11.31l-22.63-22.63c-3.12-3.12-8.19-3.12-11.31 0L160 222.06 36.29 98.34c-3.12-3.12-8.19-3.12-11.31 0L2.34 120.97c-3.12 3.12-3.12 8.19 0 11.31L126.06 256 2.34 379.71c-3.12 3.12-3.12 8.19 0 11.31l22.63 22.63c3.12 3.12 8.19 3.12 11.31 0L160 289.94 262.56 392.5l21.15 21.15c3.12 3.12 8.19 3.12 11.31 0l22.63-22.63c3.12-3.12 3.12-8.19 0-11.31L193.94 256z']
      }
    }, (_overrides$icons = overrides === null || overrides === void 0 ? void 0 : overrides.icons) !== null && _overrides$icons !== void 0 ? _overrides$icons : {}),
    iconNames: __chunk_1._objectSpread2({
      info: 'info-circle',
      warning: 'exclamation-triangle',
      success: 'check-circle',
      danger: 'exclamation-circle'
    }, (_overrides$iconNames = overrides === null || overrides === void 0 ? void 0 : overrides.iconNames) !== null && _overrides$iconNames !== void 0 ? _overrides$iconNames : {})
  });
});

exports.default = Icon;
