'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
require('../utils/colors.js');
require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');
var spacing = require('./spacing.js');
var palette$1 = require('./palette.js');
var modes = require('./modes.js');
var altitudes = require('./altitudes.js');
var borders = require('./borders.js');
var borderRadii = require('./borderRadii.js');
var breakpoints = require('./breakpoints.js');
var global = require('./global.js');
var fonts = require('./fonts.js');
var fontWeights = require('./fontWeights.js');
var fontSizes = require('./fontSizes.js');
var Container = require('./Container.js');
require('@fortawesome/free-solid-svg-icons/faInfoCircle');
require('@fortawesome/free-solid-svg-icons/faChevronDown');
require('@fortawesome/free-solid-svg-icons/faChevronLeft');
require('@fortawesome/free-solid-svg-icons/faChevronRight');
require('@fortawesome/free-solid-svg-icons/faExclamationTriangle');
require('@fortawesome/free-solid-svg-icons/faCheckCircle');
require('@fortawesome/free-solid-svg-icons/faExclamationCircle');
require('@fortawesome/free-solid-svg-icons/faQuestionCircle');
require('@fortawesome/free-solid-svg-icons/faTimes');
require('@fortawesome/free-solid-svg-icons/faSearch');
require('@fortawesome/free-solid-svg-icons/faStar');
var Icon = require('./Icon.js');
var Toast = require('./Toast.js');

var buildTheme = (function (overrides) {
  if (overrides === void 0) {
    overrides = {};
  }

  return __chunk_1._objectSpread2(__chunk_1._objectSpread2({
    name: 'default'
  }, overrides), {}, {
    altitudes: altitudes.default(overrides.altitudes || {}),
    borders: borders.default(overrides.borders || {}),
    borderRadii: borderRadii.default(overrides.borderRadii || {}),
    breakpoints: breakpoints.default(overrides.breakpoints || {}),
    fonts: fonts.default(overrides.fonts || {}),
    fontSizes: fontSizes.default(overrides.fontSizes || {}),
    fontWeights: fontWeights.default(overrides.fontWeights || {}),
    global: global.default(overrides.global || {}),
    modes: modes.default(overrides.modes || {}),
    spacing: spacing.default(overrides.spacing || {}),
    palette: palette$1.default(overrides.palette || {}),
    Container: Container.default(overrides.Container || {}),
    Icon: Icon.default(overrides.Icon || {}),
    Toast: Toast.default(overrides.Toast || {})
  });
});

exports.default = buildTheme;
