'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../utils/useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('lodash/kebabCase');
require('tinycolor2');
require('../utils/isFunction.js');
require('../utils/get.js');
require('../utils/theme.js');
require('../utils/omit.js');
require('../utils/pick.js');
require('../utils/cssProps.js');
require('../utils/useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('../utils/useColorMode.js');
require('../utils/useStyle.js');
require('../utils/omitBy.js');
require('../utils/useDefaultProps.js');
require('../utils/useDebounce.js');
require('lodash/uniq');
require('../utils/useClassName.js');
require('../utils/useBreakpoint.js');
require('../utils/uniqueId.js');
require('../utils/times.js');
require('../utils/parseIcons.js');
var colors = require('../utils/colors.js');
var palette = require('../utils/palette.js');
require('../utils/mergeRefs.js');
require('deepmerge');
require('lodash/set');
require('../utils/applyTheme.js');
require('../utils/bindFns.js');
require('../utils/createComponent.js');
require('../utils/createElement.js');
require('../utils/createHook.js');
require('../utils/forwardRefWithUse.js');
require('../utils/fieldAdaptors.js');
require('@emotion/is-prop-valid');
require('../utils/htmlProps.js');
require('../utils/OutsideClickHandler.js');

var defaultPalette = {
  text: '#212121',
  primary: '#574feb',
  secondary: '#9e46d8',
  info: '#1e67d5',
  success: '#0a7d33',
  danger: '#da1717',
  warning: '#ed9c22'
};
var getDefaultPalette = (function (overrides) {
  var _overrides$text;

  return __chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2({}, palette.generateTextVariants((_overrides$text = overrides === null || overrides === void 0 ? void 0 : overrides.text) !== null && _overrides$text !== void 0 ? _overrides$text : defaultPalette.text)), {}, {
    background: 'white',
    black: 'black',
    black500: 'black',
    white: 'white',
    white500: 'white',
    white600: '#f7f7fa',
    white700: '#f2f2f5',
    white800: '#e6e6eb',
    white900: '#d9d9e1',
    gray100: '#cfd8e3',
    gray200: '#b5bdcc',
    gray300: '#97a3b4',
    gray400: '#7b899d',
    gray: '#626f84',
    gray500: '#626f84',
    gray600: '#4b5768',
    gray700: '#343e4b',
    gray800: '#1e2530',
    gray900: '#070c18',
    default: '#fcfcfd',
    defaultInverted: '#212121'
  }, palette.generateColorVariants({
    paletteKey: 'primary',
    color: overrides.primary || defaultPalette.primary
  })), palette.generateColorVariants({
    paletteKey: 'secondary',
    color: overrides.secondary || defaultPalette.secondary
  })), palette.generateColorVariants({
    paletteKey: 'info',
    color: overrides.info || defaultPalette.info
  })), palette.generateColorVariants({
    paletteKey: 'success',
    color: overrides.success || defaultPalette.success
  })), palette.generateColorVariants({
    paletteKey: 'danger',
    color: overrides.danger || defaultPalette.danger
  })), palette.generateColorVariants({
    paletteKey: 'warning',
    color: overrides.warning || defaultPalette.warning,
    paletteOverrides: function paletteOverrides(_ref) {
      var color = _ref.color;
      return {
        warningTintInverted: colors.shade(0.7, color)()
      };
    }
  })), {}, {
    modes: {
      dark: {
        background: '#1e2530',
        default: '#27303f',
        defaultInverted: 'white',
        text: 'white',
        text100: '#b1bccd',
        text200: '#c1c9d7',
        text300: '#d0d7e1',
        text400: '#e0e4eb',
        black: 'white',
        white: 'black',
        white500: 'black',
        white600: '#181d26',
        white700: '#14181f',
        white800: '#101319',
        white900: '#0c0e13'
      }
    }
  }, overrides);
});

exports.default = getDefaultPalette;
