'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('../chunk-4f52fe58.js');
var tinycolor = _interopDefault(require('tinycolor2'));
require('./isFunction.js');
require('./get.js');
var theme = require('./theme.js');

var BLACK = '#000000';
var WHITE = '#ffffff';
function darken(scale, color) {
  return function (_temp) {
    var _ref = _temp === void 0 ? {} : _temp,
        theme$1 = _ref.theme;

    var themeColor = theme.palette(color)({
      theme: theme$1
    });
    return tinycolor(themeColor).darken(scale * 100).toHexString();
  };
}
function lighten(scale, color) {
  return function (_temp2) {
    var _ref2 = _temp2 === void 0 ? {} : _temp2,
        theme$1 = _ref2.theme;

    var themeColor = theme.palette(color)({
      theme: theme$1
    });
    return tinycolor(themeColor).lighten(scale * 100).toHexString();
  };
}
function shade(scale, color) {
  return function (_temp3) {
    var _ref3 = _temp3 === void 0 ? {} : _temp3,
        theme$1 = _ref3.theme;

    var themeColor = theme.palette(color)({
      theme: theme$1
    });
    if (themeColor === 'transparent') return themeColor;
    return tinycolor.mix(themeColor, BLACK, scale * 100).toHexString();
  };
}
function tint(scale, color) {
  return function (_temp4) {
    var _ref4 = _temp4 === void 0 ? {} : _temp4,
        theme$1 = _ref4.theme;

    var themeColor = theme.palette(color)({
      theme: theme$1
    });
    if (themeColor === 'transparent') return themeColor;
    return tinycolor.mix(themeColor, WHITE, scale * 100).toHexString();
  };
}
function readableColor(color) {
  return function (_temp5) {
    var _ref5 = _temp5 === void 0 ? {} : _temp5,
        theme$1 = _ref5.theme;

    var themeColor = theme.palette(color)({
      theme: theme$1
    });
    var isReadable = tinycolor.isReadable(BLACK, themeColor);

    if (!isReadable) {
      return WHITE;
    }

    return BLACK;
  };
}
function isColor(color) {
  var s = new Option().style;
  s.color = color;
  return s.color === color;
}

exports.darken = darken;
exports.isColor = isColor;
exports.lighten = lighten;
exports.readableColor = readableColor;
exports.shade = shade;
exports.tint = tint;
