'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
require('./useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
require('./get.js');
require('./useLocalStorage.js');
require('../Provider/ColorModeContext.js');
require('./useColorMode.js');
require('./omitBy.js');
var useDefaultProps = require('./useDefaultProps.js');

function createComponent(Component, config) {
  var Comp = function Comp(props, ref) {
    var _useDefaultProps = useDefaultProps.useDefaultProps(props, config),
        newProps = _useDefaultProps.props; // @ts-ignore


    return React.createElement(Component, __chunk_1._objectSpread2(__chunk_1._objectSpread2({}, newProps), {}, {
      elementRef: ref
    }), props === null || props === void 0 ? void 0 : props.children);
  };

  var ForwardedComponent = React.forwardRef(Comp);

  if (config.shouldMemo) {
    ForwardedComponent = React.memo(ForwardedComponent);
  }

  return Object.assign(ForwardedComponent, config.attach);
}

exports.createComponent = createComponent;
