'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);

var defaultPrefix = 'id-';
var generateId = function generateId(prefix) {
  if (prefix === void 0) {
    prefix = defaultPrefix;
  }

  return process.env.NODE_ENV === 'test' ? '' : "" + prefix + Math.random().toString(32).substr(2, 6);
};
var Context = React.createContext(generateId);
function IdProvider(_ref) {
  var children = _ref.children,
      _ref$prefix = _ref.prefix,
      prefix = _ref$prefix === void 0 ? '' : _ref$prefix;
  var count = React.useRef(0);
  var genId = React.useMemo(function () {
    return function (localPrefix) {
      if (localPrefix === void 0) {
        localPrefix = defaultPrefix;
      }

      return "" + prefix + localPrefix + (process.env.NODE_ENV === 'test' ? '' : ++count.current);
    };
  }, [prefix]);
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: genId
  }, children);
}
function useUniqueId(prefix) {
  if (prefix === void 0) {
    prefix = defaultPrefix;
  }

  var genId = React.useContext(Context);

  var _React$useState = React.useState(function () {
    return genId(prefix);
  }),
      id = _React$useState[0];

  return id;
}

exports.IdProvider = IdProvider;
exports.generateId = generateId;
exports.useUniqueId = useUniqueId;
