'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
var classNames = _interopDefault(require('classnames'));
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
var useTheme = require('./useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
var _uniq = _interopDefault(require('lodash/uniq'));

function useClassName(_ref) {
  var style = _ref.style,
      prevClassName = _ref.prevClassName,
      styleProps = _ref.styleProps,
      themeKey = _ref.themeKey,
      themeKeyOverride = _ref.themeKeyOverride,
      themeKeySuffix = _ref.themeKeySuffix;

  var _useTheme = useTheme.useTheme(),
      theme = _useTheme.theme;

  var newThemeKey = "" + (themeKeyOverride || themeKey || '') + (themeKeySuffix ? "." + themeKeySuffix : '');
  var className = React.useMemo(function () {
    var className;

    if (Array.isArray(style)) {
      className = style.map(function (style) {
        return style(__chunk_1._objectSpread2(__chunk_1._objectSpread2({
          theme: theme
        }, styleProps), {}, {
          themeKey: newThemeKey
        }));
      });
    } else {
      className = [style(__chunk_1._objectSpread2(__chunk_1._objectSpread2({
        theme: theme
      }, styleProps), {}, {
        themeKey: newThemeKey
      }))];
    }

    return className;
  }, [newThemeKey, style, styleProps, theme]);
  var originalThemeKey = themeKeyOverride ? "" + (themeKey || '') + (themeKeySuffix ? "." + themeKeySuffix : '') : undefined;
  var classNames$1 = classNames.apply(void 0, className.concat([prevClassName, newThemeKey ? "fp-" + newThemeKey.replace(/\./g, '') : undefined, originalThemeKey ? "fp-" + originalThemeKey.replace(/\./g, '') : undefined]));

  var uniqueClassNames = _uniq(classNames$1.split(' ')).join(' ');

  return uniqueClassNames;
}

exports.useClassName = useClassName;
