'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('react');
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
var useTheme = require('./useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
var get = require('./get.js');
require('./useLocalStorage.js');
require('../Provider/ColorModeContext.js');
var useColorMode = require('./useColorMode.js');
var omitBy = require('./omitBy.js');

var isUndefined = function isUndefined(val) {
  return typeof val === 'undefined';
};

function useDefaultProps(props, config) {
  var _config$defaultProps, _config2;

  if (props === void 0) {
    props = {};
  }

  if (config === void 0) {
    config = {};
  }

  var _config = config,
      themeKey = _config.themeKey;

  var _useTheme = useTheme.useTheme(),
      theme = _useTheme.theme;

  var _useColorMode = useColorMode.useColorMode(),
      globalColorMode = _useColorMode.colorMode;

  var colorMode = props.colorMode || globalColorMode;
  var configDefaultProps = omitBy.omitBy((_config$defaultProps = (_config2 = config) === null || _config2 === void 0 ? void 0 : _config2.defaultProps) !== null && _config$defaultProps !== void 0 ? _config$defaultProps : {}, isUndefined);
  var themeDefaultProps = omitBy.omitBy(get.get(theme, themeKey + ".defaultProps", {}), isUndefined);
  var themeVariantDefaultProps = omitBy.omitBy(get.get(theme, themeKey + ".variants." + props.variant + ".defaultProps", {}), isUndefined);
  var themeColorModeDefaultProps = omitBy.omitBy(get.get(theme, themeKey + ".modes." + colorMode + ".defaultProps", {}), isUndefined);
  var overridesDefaultProps = omitBy.omitBy(get.get(props, "overrides." + themeKey + ".defaultProps", {}), isUndefined);
  var overridesVariantDefaultProps = omitBy.omitBy(get.get(props, "overrides." + themeKey + ".variants." + props.variant + ".defaultProps", {}), isUndefined);
  var overridesColorModeDefaultProps = omitBy.omitBy(get.get(props, "overrides." + themeKey + ".modes." + colorMode + ".defaultProps", {}), isUndefined);

  var newProps = __chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2(__chunk_1._objectSpread2({}, configDefaultProps), themeDefaultProps), themeVariantDefaultProps), themeColorModeDefaultProps), overridesDefaultProps), overridesVariantDefaultProps), overridesColorModeDefaultProps), {}, {
    colorMode: colorMode
  }, omitBy.omitBy(props, isUndefined));

  return {
    props: newProps,
    themeKey: themeKey
  };
}

exports.useDefaultProps = useDefaultProps;
