'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
var useTheme = require('./useTheme.js');

function useLocalStorage() {
  var _useTheme = useTheme.useTheme(),
      theme = _useTheme.theme;

  var isEnabled = theme.modes.enableLocalStorage;
  var get = React.useCallback(function (key) {
    if (!isEnabled) return;

    if (typeof window !== 'undefined') {
      return window.localStorage.getItem(theme.modes.localStoragePrefix + "." + key);
    }
  }, [isEnabled, theme.modes.localStoragePrefix]);
  var set = React.useCallback(function (key, value) {
    if (!isEnabled) return;

    if (typeof window !== 'undefined') {
      return window.localStorage.setItem(theme.modes.localStoragePrefix + "." + key, value);
    }
  }, [isEnabled, theme.modes.localStoragePrefix]);
  return {
    get: get,
    set: set
  };
}

exports.useLocalStorage = useLocalStorage;
