'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
require('../Provider/ThemeContext.js');
require('classnames');
require('emotion');
var core = require('@emotion/core');
require('emotion-theming');
require('@emotion/styled');
var useTheme = require('./useTheme.js');
var __chunk_1 = require('../chunk-4f52fe58.js');
var _kebabCase = _interopDefault(require('lodash/kebabCase'));
require('tinycolor2');
require('./isFunction.js');
require('./get.js');
var theme = require('./theme.js');
require('./omit.js');
require('./pick.js');
var cssProps = require('./cssProps.js');
require('./useLocalStorage.js');
require('../Provider/ColorModeContext.js');
var useColorMode = require('./useColorMode.js');

function _templateObject7() {
  var data = __chunk_1._taggedTemplateLiteralLoose([""]);

  _templateObject7 = function _templateObject7() {
    return data;
  };

  return data;
}

function _templateObject6() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n        ", " ", ";\n      "]);

  _templateObject6 = function _templateObject6() {
    return data;
  };

  return data;
}

function _templateObject5() {
  var data = __chunk_1._taggedTemplateLiteralLoose([""]);

  _templateObject5 = function _templateObject5() {
    return data;
  };

  return data;
}

function _templateObject4() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n              ", ": ", " !important;\n            "]);

  _templateObject4 = function _templateObject4() {
    return data;
  };

  return data;
}

function _templateObject3() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n          ", ";\n          ", ";\n        "]);

  _templateObject3 = function _templateObject3() {
    return data;
  };

  return data;
}

function _templateObject2() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n            ", "\n            ", ": ", " !important;\n          "]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = __chunk_1._taggedTemplateLiteralLoose(["\n          ", ";\n\n          ", " {\n            ", ";\n          }\n        "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
var borderAttributes = ['border'];
var borderRadiusAttributes = ['borderRadius'];
var colorAttributes = ['color', 'backgroundColor', 'borderBlockEndColor', 'borderBlockStartColor', 'borderBottomColor', 'borderColor', 'borderInlineEndColor', 'borderInline-startColor', 'borderLeftColor', 'borderRightColor', 'borderTopColor', 'borderBottomColor', 'caretColor', 'columnRuleColor', 'outlineColor', 'textDecorationColor', 'textEmphasisColor'];
var spaceAttributes = ['margin', 'marginLeft', 'marginRight', 'marginTop', 'marginBottom', 'marginX', 'marginY', 'padding', 'paddingLeft', 'paddingRight', 'paddingTop', 'paddingBottom', 'paddingX', 'paddingY', 'top', 'left', 'bottom', 'right', 'grid-gap', 'grid-column-gap', 'grid-row-gap'];
var fontAttributes = ['font', 'fontFamily'];
var fontSizeAttributes = ['fontSize'];
var fontWeightAttributes = ['fontWeight'];
var attributeMaps = {
  font: ['fontFamily'],
  marginY: ['marginTop', 'marginBottom'],
  paddingY: ['paddingTop', 'paddingBottom'],
  marginX: ['marginLeft', 'marginRight'],
  paddingX: ['paddingLeft', 'paddingRight']
};

function getBorderValue(_ref) {
  var theme$1 = _ref.theme,
      value = _ref.value;
  var borderValue = theme.border(value)({
    theme: theme$1
  });

  if (borderValue) {
    return borderValue.width + " solid " + borderValue.color;
  }

  return value;
}

function getBorderRadiusValue(_ref2) {
  var theme$1 = _ref2.theme,
      value = _ref2.value;
  var borderRadiusValue = theme.borderRadius(value)({
    theme: theme$1
  });

  if (borderRadiusValue) {
    return borderRadiusValue;
  }

  return value;
}

function getColorValue(_ref3) {
  var colorMode = _ref3.colorMode,
      theme$1 = _ref3.theme,
      value = _ref3.value;
  var color = theme.palette(value)({
    colorMode: colorMode,
    theme: theme$1
  });

  if (color) {
    return color;
  }

  return value;
}

function getSpaceValue(_ref4) {
  var theme$1 = _ref4.theme,
      value = _ref4.value;
  var spacing = theme.space(value)({
    theme: theme$1
  });

  if (spacing) {
    return spacing + "rem";
  }

  return value;
}

function getFontValue(_ref5) {
  var theme$1 = _ref5.theme,
      value = _ref5.value;
  var fontValue = theme.font(value)({
    theme: theme$1
  });

  if (fontValue) {
    return fontValue;
  }

  return value;
}

function getFontSizeValue(_ref6) {
  var theme$1 = _ref6.theme,
      value = _ref6.value;
  var size = theme.fontSize(value)({
    theme: theme$1
  });

  if (size) {
    return size + "rem";
  }

  return value;
}

function getFontWeightValue(_ref7) {
  var theme$1 = _ref7.theme,
      value = _ref7.value;
  var weight = theme.fontWeight(value)({
    theme: theme$1
  });

  if (weight) {
    return weight;
  }

  return value;
}

function getStyleFromProps(props, theme$1, colorMode) {
  var style = __chunk_1._objectSpread2({}, props);

  if (style) {
    var styleEntries = Object.entries(style);
    styleEntries = styleEntries.reduce(function (prevStyle, _ref8) {
      var attribute = _ref8[0],
          value = _ref8[1];
      var entries = [[attribute, value]];

      if (attributeMaps[attribute]) {
        entries = attributeMaps[attribute].map(function (attribute) {
          return [attribute, value];
        });
      }

      return [].concat(prevStyle, entries);
    }, []);
    style = styleEntries.reduce(function (prevStyle, _ref9) {
      var attribute = _ref9[0],
          value = _ref9[1];
      var newValue = value;

      if (typeof newValue === 'string') {
        newValue = {
          default: value
        };
      }

      if (attribute.includes('_')) {
        var pseudoSelector = cssProps.cssProps[attribute];
        return core.css(_templateObject(), prevStyle, pseudoSelector, getStyleFromProps(value, theme$1, colorMode));
      }

      var newStyle = Object.entries(newValue || {}).reduce(function (prevStyle, _ref10) {
        var bp = _ref10[0],
            value = _ref10[1];
        var newValue = value;

        if (borderAttributes.includes(attribute)) {
          newValue = getBorderValue({
            theme: theme$1,
            value: value
          });
        }

        if (borderRadiusAttributes.includes(attribute)) {
          newValue = getBorderRadiusValue({
            theme: theme$1,
            value: value
          });
        }

        if (colorAttributes.includes(attribute)) {
          newValue = getColorValue({
            colorMode: colorMode,
            theme: theme$1,
            value: value
          });
        }

        if (spaceAttributes.includes(attribute)) {
          newValue = getSpaceValue({
            theme: theme$1,
            value: value
          });
        }

        if (fontAttributes.includes(attribute)) {
          newValue = getFontValue({
            theme: theme$1,
            value: value
          });
        }

        if (fontSizeAttributes.includes(attribute)) {
          newValue = getFontSizeValue({
            theme: theme$1,
            value: value
          });
        }

        if (fontWeightAttributes.includes(attribute)) {
          newValue = getFontWeightValue({
            theme: theme$1,
            value: value
          });
        }

        if (bp === 'default') {
          // @ts-ignore
          return core.css(_templateObject2(), prevStyle, _kebabCase(attribute), newValue);
        }

        return core.css(_templateObject3(), prevStyle, theme.breakpoint(bp, // @ts-ignore
        core.css(_templateObject4(), _kebabCase(attribute), newValue))({
          theme: theme$1
        }));
      }, core.css(_templateObject5()));
      return core.css(_templateObject6(), prevStyle, newStyle);
    }, core.css(_templateObject7()));
  }

  return style;
}

function useStyle(props) {
  var _useTheme = useTheme.useTheme(),
      theme = _useTheme.theme;

  var _useColorMode = useColorMode.useColorMode(),
      globalColorMode = _useColorMode.colorMode;

  var cssProps$1 = cssProps.pickCSSProps(props);
  var colorMode = props.colorMode || globalColorMode;
  return React.useMemo(function () {
    return getStyleFromProps(cssProps$1, theme, colorMode);
  }, [cssProps$1, theme, colorMode]);
}

exports.useStyle = useStyle;
