import { ThemeConfig } from '../types';
declare const _default: (overrides?: ThemeConfig) => {
    altitudes: {
        100: string;
        200: string;
        300: string;
        400: string;
    };
    borders: {
        default: {
            color: string;
            width: string;
        } | ((props: {
            theme: ThemeConfig;
        }) => {
            color: string;
            width: string;
        }) | ((styleProps: any) => {
            color: any;
            width: string;
        });
    };
    borderRadii: {
        default: import("../types").ThemeAttribute<string>;
        0: string;
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
    };
    breakpoints: {
        mobile: import("../types").ThemeAttribute<number>;
        tablet: import("../types").ThemeAttribute<number>;
        desktop: import("../types").ThemeAttribute<number>;
        widescreen: import("../types").ThemeAttribute<number>;
        fullHD: import("../types").ThemeAttribute<number>;
    };
    fonts: {
        importUrls?: string[];
        default: string;
        heading: string;
        mono: string;
    };
    fontSizes: {
        100: number;
        150: number;
        200: number;
        250: number;
        300: number;
        400: number;
        500: number;
        600: number;
        700: number;
        800: number;
        900: number;
    };
    fontWeights: {
        normal: number;
        semibold: number;
        bold: number;
    };
    global: {
        css?: {
            root: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
        };
        fontSize: number;
    };
    modes: {
        localStoragePrefix: string;
        enableLocalStorage: boolean;
        useSystemColorMode: boolean;
    };
    spacing: {
        minorUnit: import("../types").ThemeAttribute<number>;
        majorUnit: import("../types").ThemeAttribute<number>;
        xs: (props: {
            theme?: ThemeConfig;
        }) => any;
        sm: (props: {
            theme?: ThemeConfig;
        }) => any;
        md: (props: {
            theme?: ThemeConfig;
        }) => any;
        lg: (props: {
            theme?: ThemeConfig;
        }) => any;
        xl: (props: {
            theme?: ThemeConfig;
        }) => any;
        '2xl': (props: {
            theme?: ThemeConfig;
        }) => any;
        '3xl': (props: {
            theme?: ThemeConfig;
        }) => any;
        '4xl': (props: {
            theme?: ThemeConfig;
        }) => any;
        '5xl': (props: {
            theme?: ThemeConfig;
        }) => any;
        '6xl': (props: {
            theme?: ThemeConfig;
        }) => any;
    };
    palette: {
        modes: {
            [key: string]: import("../types").PaletteThemeConfig;
        } | {
            dark: {
                background: string;
                default: string;
                defaultInverted: string;
                text: string;
                text100: string;
                text200: string;
                text300: string;
                text400: string;
                black: string;
                white: string;
                white500: string;
                white600: string;
                white700: string;
                white800: string;
                white900: string;
            };
        };
        background: string;
        black: string;
        black500: string;
        white: string;
        white500: string;
        white600: string;
        white700: string;
        white800: string;
        white900: string;
        gray100: string;
        gray200: string;
        gray300: string;
        gray400: string;
        gray: string;
        gray500: string;
        gray600: string;
        gray700: string;
        gray800: string;
        gray900: string;
        default: string;
        defaultInverted: string;
        text100: any;
        text200: any;
        text300: any;
        text400: any;
        text: string;
        textTint: any;
        textInverted: string;
        textTintInverted: any;
    };
    Container: {
        css?: {
            root?: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
            layout?: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
            fluid?: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
        };
        tabletMargin: number | ((props: {
            theme?: ThemeConfig;
        }) => any) | ((props: {
            theme: ThemeConfig;
        }) => number);
        fluidMargin: number | ((props: {
            theme?: ThemeConfig;
        }) => any) | ((props: {
            theme: ThemeConfig;
        }) => number);
        defaultProps?: Partial<import("..").ContainerProps>;
        variants?: import("../types").Variant<import("../types").ContainerThemeConfig>;
        modes?: import("../types").Variant<import("../types").ContainerThemeConfig>;
    };
    Icon: any;
    Toast: {
        css?: {
            root?: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
        };
        Overlay?: {
            css?: {
                root?: import("../types").ThemeAttribute<import("@emotion/core").InterpolationWithTheme<any>>;
            };
        };
        defaultProps?: Partial<import("..").ToastProps>;
        variants?: import("../types").Variant<import("../types").ToastThemeConfig>;
        modes?: import("../types").Variant<import("../types").ToastThemeConfig>;
        placement: import("../types").Placement;
        showCountdown: boolean;
        timeout: number;
    };
    ActionButtons?: import("../types").ActionButtonsThemeConfig;
    Alert?: import("../types").AlertThemeConfig;
    Autosuggest?: import("../types").AutosuggestThemeConfig;
    AutosuggestField?: import("../types").AutosuggestFieldThemeConfig;
    Avatar?: import("../types").AvatarThemeConfig;
    Badge?: import("../types").BadgeThemeConfig;
    Breadcrumb?: import("../types").BreadcrumbThemeConfig;
    Box?: import("../types").BoxThemeConfig;
    Block?: import("../types").BlockThemeConfig;
    Blockquote?: import("../types").BlockquoteThemeConfig;
    Button?: import("../types").ButtonThemeConfig;
    Callout?: import("../types").CalloutThemeConfig;
    Card?: import("../types").CardThemeConfig;
    Checkbox?: import("../types").CheckboxThemeConfig;
    CheckboxField?: import("../types").CheckboxFieldThemeConfig;
    CheckboxGroup?: import("../types").CheckboxGroupThemeConfig;
    CheckboxGroupField?: import("../types").CheckboxGroupFieldThemeConfig;
    Clickable?: import("../types").ClickableThemeConfig;
    Code?: import("../types").CodeThemeConfig;
    Columns?: import("../types").ColumnsThemeConfig;
    Dialog?: import("../types").DialogThemeConfig;
    Disclosure?: import("../types").DisclosureThemeConfig;
    Drawer?: import("../types").DrawerThemeConfig;
    DropdownMenu?: import("../types").DropdownMenuThemeConfig;
    FieldWrapper?: import("../types").FieldWrapperThemeConfig;
    Flex?: import("../types").FlexThemeConfig;
    Grid?: import("../types").GridThemeConfig;
    Group?: import("../types").GroupThemeConfig;
    Heading?: import("../types").HeadingThemeConfig;
    HighlightedCode?: import("../types").HighlightedCodeThemeConfig;
    Image?: import("../types").ImageThemeConfig;
    Inline?: import("../types").InlineThemeConfig;
    InlineBlock?: import("../types").InlineBlockThemeConfig;
    InlineFlex?: import("../types").InlineFlexThemeConfig;
    Input?: import("../types").InputThemeConfig;
    InputField?: import("../types").InputFieldThemeConfig;
    Stack?: import("../types").StackThemeConfig;
    Link?: import("../types").LinkThemeConfig;
    List?: import("../types").ListThemeConfig;
    Menu?: import("../types").MenuThemeConfig;
    Modal?: import("../types").ModalThemeConfig;
    Navigation?: import("../types").NavigationThemeConfig;
    Overlay?: import("../types").OverlayThemeConfig;
    PageContent?: import("../types").PageContentThemeConfig;
    PageWithSidebar?: import("../types").PageWithSidebarThemeConfig;
    PageWithHeader?: import("../types").PageWithHeaderThemeConfig;
    Pagination?: import("../types").PaginationThemeConfig;
    Paragraph?: import("../types").ParagraphThemeConfig;
    Popover?: import("../types").PopoverThemeConfig;
    Portal?: import("../types").PortalThemeConfig;
    ProgressBar?: import("../types").ProgressBarThemeConfig;
    Radio?: import("../types").RadioThemeConfig;
    RadioGroup?: import("../types").RadioGroupThemeConfig;
    RadioGroupField?: import("../types").RadioGroupFieldThemeConfig;
    Rating?: import("../types").RatingThemeConfig;
    Rover?: import("../types").RoverThemeConfig;
    Select?: import("../types").SelectThemeConfig;
    SelectField?: import("../types").SelectFieldThemeConfig;
    SelectMenu?: import("../types").SelectThemeConfig;
    SelectMenuField?: import("../types").SelectMenuFieldThemeConfig;
    Set?: import("../types").SetThemeConfig;
    SideNav?: import("../types").SideNavThemeConfig;
    Spinner?: import("../types").SpinnerThemeConfig;
    Switch?: import("../types").SwitchThemeConfig;
    SwitchField?: import("../types").SwitchFieldThemeConfig;
    SwitchGroup?: import("../types").SwitchGroupThemeConfig;
    SwitchGroupField?: import("../types").SwitchGroupFieldThemeConfig;
    Tabbable?: import("../types").TabbableThemeConfig;
    Table?: import("../types").TableThemeConfig;
    Tabs?: import("../types").TabsThemeConfig;
    Tag?: import("../types").TagThemeConfig;
    Text?: import("../types").TextThemeConfig;
    Textarea?: import("../types").TextareaThemeConfig;
    TextareaField?: import("../types").TextareaFieldThemeConfig;
    Tooltip?: import("../types").TooltipThemeConfig;
    TopNav?: import("../types").TopNavThemeConfig;
    Template?: import("../types").TemplateThemeConfig;
    name: string;
};
export default _default;
